function [nzij_pred, nzij_current, nzij_fwrd] = dynamic_g1_nz()
% Returns the coordinates of non-zero elements in the Jacobian, in column-major order, for each lead/lag (only for endogenous)
  nzij_pred = zeros(137, 2, 'int32');
  nzij_pred(1,1)=81; nzij_pred(1,2)=25;
  nzij_pred(2,1)=82; nzij_pred(2,2)=25;
  nzij_pred(3,1)=47; nzij_pred(3,2)=29;
  nzij_pred(4,1)=55; nzij_pred(4,2)=29;
  nzij_pred(5,1)=58; nzij_pred(5,2)=31;
  nzij_pred(6,1)=66; nzij_pred(6,2)=31;
  nzij_pred(7,1)=124; nzij_pred(7,2)=33;
  nzij_pred(8,1)=92; nzij_pred(8,2)=34;
  nzij_pred(9,1)=90; nzij_pred(9,2)=35;
  nzij_pred(10,1)=156; nzij_pred(10,2)=39;
  nzij_pred(11,1)=48; nzij_pred(11,2)=40;
  nzij_pred(12,1)=55; nzij_pred(12,2)=40;
  nzij_pred(13,1)=69; nzij_pred(13,2)=41;
  nzij_pred(14,1)=78; nzij_pred(14,2)=41;
  nzij_pred(15,1)=153; nzij_pred(15,2)=41;
  nzij_pred(16,1)=140; nzij_pred(16,2)=42;
  nzij_pred(17,1)=56; nzij_pred(17,2)=44;
  nzij_pred(18,1)=141; nzij_pred(18,2)=44;
  nzij_pred(19,1)=154; nzij_pred(19,2)=44;
  nzij_pred(20,1)=80; nzij_pred(20,2)=45;
  nzij_pred(21,1)=128; nzij_pred(21,2)=45;
  nzij_pred(22,1)=152; nzij_pred(22,2)=45;
  nzij_pred(23,1)=5; nzij_pred(23,2)=49;
  nzij_pred(24,1)=16; nzij_pred(24,2)=49;
  nzij_pred(25,1)=18; nzij_pred(25,2)=49;
  nzij_pred(26,1)=66; nzij_pred(26,2)=49;
  nzij_pred(27,1)=59; nzij_pred(27,2)=50;
  nzij_pred(28,1)=66; nzij_pred(28,2)=50;
  nzij_pred(29,1)=8; nzij_pred(29,2)=51;
  nzij_pred(30,1)=15; nzij_pred(30,2)=51;
  nzij_pred(31,1)=67; nzij_pred(31,2)=54;
  nzij_pred(32,1)=80; nzij_pred(32,2)=55;
  nzij_pred(33,1)=20; nzij_pred(33,2)=61;
  nzij_pred(34,1)=34; nzij_pred(34,2)=63;
  nzij_pred(35,1)=33; nzij_pred(35,2)=64;
  nzij_pred(36,1)=24; nzij_pred(36,2)=67;
  nzij_pred(37,1)=30; nzij_pred(37,2)=69;
  nzij_pred(38,1)=26; nzij_pred(38,2)=71;
  nzij_pred(39,1)=28; nzij_pred(39,2)=73;
  nzij_pred(40,1)=40; nzij_pred(40,2)=75;
  nzij_pred(41,1)=125; nzij_pred(41,2)=77;
  nzij_pred(42,1)=76; nzij_pred(42,2)=78;
  nzij_pred(43,1)=77; nzij_pred(43,2)=78;
  nzij_pred(44,1)=80; nzij_pred(44,2)=79;
  nzij_pred(45,1)=95; nzij_pred(45,2)=79;
  nzij_pred(46,1)=77; nzij_pred(46,2)=81;
  nzij_pred(47,1)=142; nzij_pred(47,2)=81;
  nzij_pred(48,1)=155; nzij_pred(48,2)=81;
  nzij_pred(49,1)=80; nzij_pred(49,2)=84;
  nzij_pred(50,1)=85; nzij_pred(50,2)=90;
  nzij_pred(51,1)=86; nzij_pred(51,2)=91;
  nzij_pred(52,1)=87; nzij_pred(52,2)=92;
  nzij_pred(53,1)=88; nzij_pred(53,2)=93;
  nzij_pred(54,1)=89; nzij_pred(54,2)=94;
  nzij_pred(55,1)=90; nzij_pred(55,2)=95;
  nzij_pred(56,1)=92; nzij_pred(56,2)=96;
  nzij_pred(57,1)=45; nzij_pred(57,2)=98;
  nzij_pred(58,1)=55; nzij_pred(58,2)=98;
  nzij_pred(59,1)=96; nzij_pred(59,2)=98;
  nzij_pred(60,1)=97; nzij_pred(60,2)=98;
  nzij_pred(61,1)=157; nzij_pred(61,2)=98;
  nzij_pred(62,1)=143; nzij_pred(62,2)=100;
  nzij_pred(63,1)=99; nzij_pred(63,2)=101;
  nzij_pred(64,1)=103; nzij_pred(64,2)=103;
  nzij_pred(65,1)=107; nzij_pred(65,2)=105;
  nzij_pred(66,1)=142; nzij_pred(66,2)=106;
  nzij_pred(67,1)=109; nzij_pred(67,2)=107;
  nzij_pred(68,1)=105; nzij_pred(68,2)=109;
  nzij_pred(69,1)=101; nzij_pred(69,2)=112;
  nzij_pred(70,1)=148; nzij_pred(70,2)=113;
  nzij_pred(71,1)=114; nzij_pred(71,2)=114;
  nzij_pred(72,1)=113; nzij_pred(72,2)=115;
  nzij_pred(73,1)=98; nzij_pred(73,2)=119;
  nzij_pred(74,1)=99; nzij_pred(74,2)=119;
  nzij_pred(75,1)=101; nzij_pred(75,2)=119;
  nzij_pred(76,1)=103; nzij_pred(76,2)=119;
  nzij_pred(77,1)=105; nzij_pred(77,2)=119;
  nzij_pred(78,1)=107; nzij_pred(78,2)=119;
  nzij_pred(79,1)=109; nzij_pred(79,2)=119;
  nzij_pred(80,1)=115; nzij_pred(80,2)=119;
  nzij_pred(81,1)=130; nzij_pred(81,2)=119;
  nzij_pred(82,1)=137; nzij_pred(82,2)=119;
  nzij_pred(83,1)=138; nzij_pred(83,2)=119;
  nzij_pred(84,1)=20; nzij_pred(84,2)=122;
  nzij_pred(85,1)=22; nzij_pred(85,2)=122;
  nzij_pred(86,1)=24; nzij_pred(86,2)=122;
  nzij_pred(87,1)=26; nzij_pred(87,2)=122;
  nzij_pred(88,1)=28; nzij_pred(88,2)=122;
  nzij_pred(89,1)=30; nzij_pred(89,2)=122;
  nzij_pred(90,1)=99; nzij_pred(90,2)=122;
  nzij_pred(91,1)=101; nzij_pred(91,2)=122;
  nzij_pred(92,1)=103; nzij_pred(92,2)=122;
  nzij_pred(93,1)=105; nzij_pred(93,2)=122;
  nzij_pred(94,1)=107; nzij_pred(94,2)=122;
  nzij_pred(95,1)=109; nzij_pred(95,2)=122;
  nzij_pred(96,1)=117; nzij_pred(96,2)=122;
  nzij_pred(97,1)=72; nzij_pred(97,2)=123;
  nzij_pred(98,1)=98; nzij_pred(98,2)=123;
  nzij_pred(99,1)=11; nzij_pred(99,2)=127;
  nzij_pred(100,1)=19; nzij_pred(100,2)=127;
  nzij_pred(101,1)=19; nzij_pred(101,2)=131;
  nzij_pred(102,1)=20; nzij_pred(102,2)=131;
  nzij_pred(103,1)=22; nzij_pred(103,2)=131;
  nzij_pred(104,1)=24; nzij_pred(104,2)=131;
  nzij_pred(105,1)=26; nzij_pred(105,2)=131;
  nzij_pred(106,1)=28; nzij_pred(106,2)=131;
  nzij_pred(107,1)=30; nzij_pred(107,2)=131;
  nzij_pred(108,1)=35; nzij_pred(108,2)=131;
  nzij_pred(109,1)=22; nzij_pred(109,2)=134;
  nzij_pred(110,1)=152; nzij_pred(110,2)=138;
  nzij_pred(111,1)=153; nzij_pred(111,2)=139;
  nzij_pred(112,1)=154; nzij_pred(112,2)=140;
  nzij_pred(113,1)=155; nzij_pred(113,2)=141;
  nzij_pred(114,1)=156; nzij_pred(114,2)=142;
  nzij_pred(115,1)=157; nzij_pred(115,2)=143;
  nzij_pred(116,1)=46; nzij_pred(116,2)=149;
  nzij_pred(117,1)=54; nzij_pred(117,2)=149;
  nzij_pred(118,1)=55; nzij_pred(118,2)=149;
  nzij_pred(119,1)=47; nzij_pred(119,2)=151;
  nzij_pred(120,1)=57; nzij_pred(120,2)=152;
  nzij_pred(121,1)=65; nzij_pred(121,2)=152;
  nzij_pred(122,1)=66; nzij_pred(122,2)=152;
  nzij_pred(123,1)=58; nzij_pred(123,2)=154;
  nzij_pred(124,1)=20; nzij_pred(124,2)=198;
  nzij_pred(125,1)=99; nzij_pred(125,2)=198;
  nzij_pred(126,1)=22; nzij_pred(126,2)=199;
  nzij_pred(127,1)=101; nzij_pred(127,2)=199;
  nzij_pred(128,1)=24; nzij_pred(128,2)=200;
  nzij_pred(129,1)=103; nzij_pred(129,2)=200;
  nzij_pred(130,1)=26; nzij_pred(130,2)=201;
  nzij_pred(131,1)=105; nzij_pred(131,2)=201;
  nzij_pred(132,1)=28; nzij_pred(132,2)=202;
  nzij_pred(133,1)=107; nzij_pred(133,2)=202;
  nzij_pred(134,1)=30; nzij_pred(134,2)=203;
  nzij_pred(135,1)=109; nzij_pred(135,2)=203;
  nzij_pred(136,1)=34; nzij_pred(136,2)=204;
  nzij_pred(137,1)=114; nzij_pred(137,2)=204;
  nzij_current = zeros(557, 2, 'int32');
  nzij_current(1,1)=125; nzij_current(1,2)=1;
  nzij_current(2,1)=126; nzij_current(2,2)=2;
  nzij_current(3,1)=127; nzij_current(3,2)=3;
  nzij_current(4,1)=133; nzij_current(4,2)=4;
  nzij_current(5,1)=132; nzij_current(5,2)=5;
  nzij_current(6,1)=128; nzij_current(6,2)=6;
  nzij_current(7,1)=140; nzij_current(7,2)=7;
  nzij_current(8,1)=141; nzij_current(8,2)=8;
  nzij_current(9,1)=142; nzij_current(9,2)=9;
  nzij_current(10,1)=143; nzij_current(10,2)=10;
  nzij_current(11,1)=146; nzij_current(11,2)=11;
  nzij_current(12,1)=147; nzij_current(12,2)=12;
  nzij_current(13,1)=144; nzij_current(13,2)=13;
  nzij_current(14,1)=145; nzij_current(14,2)=14;
  nzij_current(15,1)=148; nzij_current(15,2)=15;
  nzij_current(16,1)=129; nzij_current(16,2)=16;
  nzij_current(17,1)=130; nzij_current(17,2)=17;
  nzij_current(18,1)=131; nzij_current(18,2)=17;
  nzij_current(19,1)=131; nzij_current(19,2)=18;
  nzij_current(20,1)=150; nzij_current(20,2)=19;
  nzij_current(21,1)=137; nzij_current(21,2)=20;
  nzij_current(22,1)=138; nzij_current(22,2)=21;
  nzij_current(23,1)=139; nzij_current(23,2)=22;
  nzij_current(24,1)=151; nzij_current(24,2)=23;
  nzij_current(25,1)=149; nzij_current(25,2)=24;
  nzij_current(26,1)=82; nzij_current(26,2)=25;
  nzij_current(27,1)=135; nzij_current(27,2)=26;
  nzij_current(28,1)=134; nzij_current(28,2)=27;
  nzij_current(29,1)=46; nzij_current(29,2)=28;
  nzij_current(30,1)=47; nzij_current(30,2)=28;
  nzij_current(31,1)=54; nzij_current(31,2)=28;
  nzij_current(32,1)=49; nzij_current(32,2)=29;
  nzij_current(33,1)=57; nzij_current(33,2)=30;
  nzij_current(34,1)=58; nzij_current(34,2)=30;
  nzij_current(35,1)=65; nzij_current(35,2)=30;
  nzij_current(36,1)=60; nzij_current(36,2)=31;
  nzij_current(37,1)=136; nzij_current(37,2)=32;
  nzij_current(38,1)=124; nzij_current(38,2)=33;
  nzij_current(39,1)=92; nzij_current(39,2)=34;
  nzij_current(40,1)=93; nzij_current(40,2)=34;
  nzij_current(41,1)=90; nzij_current(41,2)=35;
  nzij_current(42,1)=91; nzij_current(42,2)=35;
  nzij_current(43,1)=39; nzij_current(43,2)=36;
  nzij_current(44,1)=44; nzij_current(44,2)=36;
  nzij_current(45,1)=76; nzij_current(45,2)=36;
  nzij_current(46,1)=18; nzij_current(46,2)=37;
  nzij_current(47,1)=42; nzij_current(47,2)=37;
  nzij_current(48,1)=45; nzij_current(48,2)=37;
  nzij_current(49,1)=73; nzij_current(49,2)=37;
  nzij_current(50,1)=97; nzij_current(50,2)=37;
  nzij_current(51,1)=39; nzij_current(51,2)=38;
  nzij_current(52,1)=42; nzij_current(52,2)=38;
  nzij_current(53,1)=43; nzij_current(53,2)=38;
  nzij_current(54,1)=48; nzij_current(54,2)=38;
  nzij_current(55,1)=53; nzij_current(55,2)=38;
  nzij_current(56,1)=43; nzij_current(56,2)=39;
  nzij_current(57,1)=45; nzij_current(57,2)=39;
  nzij_current(58,1)=53; nzij_current(58,2)=39;
  nzij_current(59,1)=75; nzij_current(59,2)=39;
  nzij_current(60,1)=156; nzij_current(60,2)=39;
  nzij_current(61,1)=48; nzij_current(61,2)=40;
  nzij_current(62,1)=51; nzij_current(62,2)=40;
  nzij_current(63,1)=52; nzij_current(63,2)=40;
  nzij_current(64,1)=56; nzij_current(64,2)=40;
  nzij_current(65,1)=69; nzij_current(65,2)=41;
  nzij_current(66,1)=73; nzij_current(66,2)=41;
  nzij_current(67,1)=74; nzij_current(67,2)=41;
  nzij_current(68,1)=78; nzij_current(68,2)=41;
  nzij_current(69,1)=84; nzij_current(69,2)=41;
  nzij_current(70,1)=153; nzij_current(70,2)=41;
  nzij_current(71,1)=84; nzij_current(71,2)=42;
  nzij_current(72,1)=98; nzij_current(72,2)=42;
  nzij_current(73,1)=119; nzij_current(73,2)=42;
  nzij_current(74,1)=123; nzij_current(74,2)=42;
  nzij_current(75,1)=140; nzij_current(75,2)=42;
  nzij_current(76,1)=68; nzij_current(76,2)=43;
  nzij_current(77,1)=69; nzij_current(77,2)=43;
  nzij_current(78,1)=70; nzij_current(78,2)=43;
  nzij_current(79,1)=71; nzij_current(79,2)=43;
  nzij_current(80,1)=78; nzij_current(80,2)=43;
  nzij_current(81,1)=56; nzij_current(81,2)=44;
  nzij_current(82,1)=73; nzij_current(82,2)=44;
  nzij_current(83,1)=74; nzij_current(83,2)=44;
  nzij_current(84,1)=96; nzij_current(84,2)=44;
  nzij_current(85,1)=123; nzij_current(85,2)=44;
  nzij_current(86,1)=141; nzij_current(86,2)=44;
  nzij_current(87,1)=154; nzij_current(87,2)=44;
  nzij_current(88,1)=1; nzij_current(88,2)=45;
  nzij_current(89,1)=44; nzij_current(89,2)=45;
  nzij_current(90,1)=73; nzij_current(90,2)=45;
  nzij_current(91,1)=75; nzij_current(91,2)=45;
  nzij_current(92,1)=80; nzij_current(92,2)=45;
  nzij_current(93,1)=97; nzij_current(93,2)=45;
  nzij_current(94,1)=98; nzij_current(94,2)=45;
  nzij_current(95,1)=100; nzij_current(95,2)=45;
  nzij_current(96,1)=102; nzij_current(96,2)=45;
  nzij_current(97,1)=104; nzij_current(97,2)=45;
  nzij_current(98,1)=106; nzij_current(98,2)=45;
  nzij_current(99,1)=108; nzij_current(99,2)=45;
  nzij_current(100,1)=110; nzij_current(100,2)=45;
  nzij_current(101,1)=115; nzij_current(101,2)=45;
  nzij_current(102,1)=119; nzij_current(102,2)=45;
  nzij_current(103,1)=128; nzij_current(103,2)=45;
  nzij_current(104,1)=130; nzij_current(104,2)=45;
  nzij_current(105,1)=139; nzij_current(105,2)=45;
  nzij_current(106,1)=150; nzij_current(106,2)=45;
  nzij_current(107,1)=151; nzij_current(107,2)=45;
  nzij_current(108,1)=152; nzij_current(108,2)=45;
  nzij_current(109,1)=3; nzij_current(109,2)=46;
  nzij_current(110,1)=5; nzij_current(110,2)=46;
  nzij_current(111,1)=12; nzij_current(111,2)=46;
  nzij_current(112,1)=2; nzij_current(112,2)=47;
  nzij_current(113,1)=3; nzij_current(113,2)=47;
  nzij_current(114,1)=4; nzij_current(114,2)=47;
  nzij_current(115,1)=59; nzij_current(115,2)=47;
  nzij_current(116,1)=64; nzij_current(116,2)=47;
  nzij_current(117,1)=4; nzij_current(117,2)=48;
  nzij_current(118,1)=5; nzij_current(118,2)=48;
  nzij_current(119,1)=14; nzij_current(119,2)=48;
  nzij_current(120,1)=64; nzij_current(120,2)=48;
  nzij_current(121,1)=16; nzij_current(121,2)=49;
  nzij_current(122,1)=62; nzij_current(122,2)=49;
  nzij_current(123,1)=63; nzij_current(123,2)=49;
  nzij_current(124,1)=59; nzij_current(124,2)=50;
  nzij_current(125,1)=62; nzij_current(125,2)=50;
  nzij_current(126,1)=63; nzij_current(126,2)=50;
  nzij_current(127,1)=67; nzij_current(127,2)=50;
  nzij_current(128,1)=8; nzij_current(128,2)=51;
  nzij_current(129,1)=12; nzij_current(129,2)=51;
  nzij_current(130,1)=13; nzij_current(130,2)=51;
  nzij_current(131,1)=15; nzij_current(131,2)=51;
  nzij_current(132,1)=13; nzij_current(132,2)=52;
  nzij_current(133,1)=19; nzij_current(133,2)=52;
  nzij_current(134,1)=7; nzij_current(134,2)=53;
  nzij_current(135,1)=8; nzij_current(135,2)=53;
  nzij_current(136,1)=9; nzij_current(136,2)=53;
  nzij_current(137,1)=10; nzij_current(137,2)=53;
  nzij_current(138,1)=15; nzij_current(138,2)=53;
  nzij_current(139,1)=12; nzij_current(139,2)=54;
  nzij_current(140,1)=16; nzij_current(140,2)=54;
  nzij_current(141,1)=67; nzij_current(141,2)=54;
  nzij_current(142,1)=1; nzij_current(142,2)=55;
  nzij_current(143,1)=6; nzij_current(143,2)=55;
  nzij_current(144,1)=12; nzij_current(144,2)=55;
  nzij_current(145,1)=14; nzij_current(145,2)=55;
  nzij_current(146,1)=18; nzij_current(146,2)=55;
  nzij_current(147,1)=19; nzij_current(147,2)=55;
  nzij_current(148,1)=21; nzij_current(148,2)=55;
  nzij_current(149,1)=23; nzij_current(149,2)=55;
  nzij_current(150,1)=25; nzij_current(150,2)=55;
  nzij_current(151,1)=27; nzij_current(151,2)=55;
  nzij_current(152,1)=29; nzij_current(152,2)=55;
  nzij_current(153,1)=31; nzij_current(153,2)=55;
  nzij_current(154,1)=35; nzij_current(154,2)=55;
  nzij_current(155,1)=38; nzij_current(155,2)=55;
  nzij_current(156,1)=80; nzij_current(156,2)=55;
  nzij_current(157,1)=4; nzij_current(157,2)=56;
  nzij_current(158,1)=8; nzij_current(158,2)=56;
  nzij_current(159,1)=14; nzij_current(159,2)=56;
  nzij_current(160,1)=15; nzij_current(160,2)=56;
  nzij_current(161,1)=18; nzij_current(161,2)=56;
  nzij_current(162,1)=19; nzij_current(162,2)=56;
  nzij_current(163,1)=64; nzij_current(163,2)=56;
  nzij_current(164,1)=2; nzij_current(164,2)=57;
  nzij_current(165,1)=4; nzij_current(165,2)=57;
  nzij_current(166,1)=15; nzij_current(166,2)=57;
  nzij_current(167,1)=18; nzij_current(167,2)=57;
  nzij_current(168,1)=19; nzij_current(168,2)=57;
  nzij_current(169,1)=64; nzij_current(169,2)=57;
  nzij_current(170,1)=2; nzij_current(170,2)=58;
  nzij_current(171,1)=6; nzij_current(171,2)=58;
  nzij_current(172,1)=18; nzij_current(172,2)=58;
  nzij_current(173,1)=57; nzij_current(173,2)=58;
  nzij_current(174,1)=7; nzij_current(174,2)=59;
  nzij_current(175,1)=60; nzij_current(175,2)=59;
  nzij_current(176,1)=61; nzij_current(176,2)=59;
  nzij_current(177,1)=12; nzij_current(177,2)=60;
  nzij_current(178,1)=19; nzij_current(178,2)=60;
  nzij_current(179,1)=21; nzij_current(179,2)=60;
  nzij_current(180,1)=38; nzij_current(180,2)=60;
  nzij_current(181,1)=20; nzij_current(181,2)=61;
  nzij_current(182,1)=21; nzij_current(182,2)=61;
  nzij_current(183,1)=19; nzij_current(183,2)=62;
  nzij_current(184,1)=32; nzij_current(184,2)=62;
  nzij_current(185,1)=38; nzij_current(185,2)=62;
  nzij_current(186,1)=33; nzij_current(186,2)=63;
  nzij_current(187,1)=34; nzij_current(187,2)=63;
  nzij_current(188,1)=32; nzij_current(188,2)=64;
  nzij_current(189,1)=33; nzij_current(189,2)=64;
  nzij_current(190,1)=32; nzij_current(190,2)=65;
  nzij_current(191,1)=35; nzij_current(191,2)=65;
  nzij_current(192,1)=8; nzij_current(192,2)=66;
  nzij_current(193,1)=19; nzij_current(193,2)=66;
  nzij_current(194,1)=25; nzij_current(194,2)=66;
  nzij_current(195,1)=65; nzij_current(195,2)=66;
  nzij_current(196,1)=24; nzij_current(196,2)=67;
  nzij_current(197,1)=25; nzij_current(197,2)=67;
  nzij_current(198,1)=2; nzij_current(198,2)=68;
  nzij_current(199,1)=4; nzij_current(199,2)=68;
  nzij_current(200,1)=19; nzij_current(200,2)=68;
  nzij_current(201,1)=31; nzij_current(201,2)=68;
  nzij_current(202,1)=30; nzij_current(202,2)=69;
  nzij_current(203,1)=31; nzij_current(203,2)=69;
  nzij_current(204,1)=15; nzij_current(204,2)=70;
  nzij_current(205,1)=19; nzij_current(205,2)=70;
  nzij_current(206,1)=27; nzij_current(206,2)=70;
  nzij_current(207,1)=26; nzij_current(207,2)=71;
  nzij_current(208,1)=27; nzij_current(208,2)=71;
  nzij_current(209,1)=15; nzij_current(209,2)=72;
  nzij_current(210,1)=19; nzij_current(210,2)=72;
  nzij_current(211,1)=29; nzij_current(211,2)=72;
  nzij_current(212,1)=28; nzij_current(212,2)=73;
  nzij_current(213,1)=29; nzij_current(213,2)=73;
  nzij_current(214,1)=36; nzij_current(214,2)=74;
  nzij_current(215,1)=5; nzij_current(215,2)=75;
  nzij_current(216,1)=8; nzij_current(216,2)=75;
  nzij_current(217,1)=15; nzij_current(217,2)=75;
  nzij_current(218,1)=16; nzij_current(218,2)=75;
  nzij_current(219,1)=18; nzij_current(219,2)=75;
  nzij_current(220,1)=19; nzij_current(220,2)=75;
  nzij_current(221,1)=40; nzij_current(221,2)=75;
  nzij_current(222,1)=41; nzij_current(222,2)=75;
  nzij_current(223,1)=45; nzij_current(223,2)=75;
  nzij_current(224,1)=46; nzij_current(224,2)=75;
  nzij_current(225,1)=54; nzij_current(225,2)=75;
  nzij_current(226,1)=56; nzij_current(226,2)=75;
  nzij_current(227,1)=57; nzij_current(227,2)=75;
  nzij_current(228,1)=65; nzij_current(228,2)=75;
  nzij_current(229,1)=67; nzij_current(229,2)=75;
  nzij_current(230,1)=69; nzij_current(230,2)=75;
  nzij_current(231,1)=77; nzij_current(231,2)=75;
  nzij_current(232,1)=78; nzij_current(232,2)=75;
  nzij_current(233,1)=96; nzij_current(233,2)=75;
  nzij_current(234,1)=97; nzij_current(234,2)=75;
  nzij_current(235,1)=98; nzij_current(235,2)=75;
  nzij_current(236,1)=128; nzij_current(236,2)=75;
  nzij_current(237,1)=130; nzij_current(237,2)=75;
  nzij_current(238,1)=137; nzij_current(238,2)=75;
  nzij_current(239,1)=138; nzij_current(239,2)=75;
  nzij_current(240,1)=140; nzij_current(240,2)=75;
  nzij_current(241,1)=141; nzij_current(241,2)=75;
  nzij_current(242,1)=142; nzij_current(242,2)=75;
  nzij_current(243,1)=143; nzij_current(243,2)=75;
  nzij_current(244,1)=148; nzij_current(244,2)=75;
  nzij_current(245,1)=152; nzij_current(245,2)=75;
  nzij_current(246,1)=153; nzij_current(246,2)=75;
  nzij_current(247,1)=154; nzij_current(247,2)=75;
  nzij_current(248,1)=155; nzij_current(248,2)=75;
  nzij_current(249,1)=156; nzij_current(249,2)=75;
  nzij_current(250,1)=157; nzij_current(250,2)=75;
  nzij_current(251,1)=158; nzij_current(251,2)=75;
  nzij_current(252,1)=41; nzij_current(252,2)=76;
  nzij_current(253,1)=77; nzij_current(253,2)=76;
  nzij_current(254,1)=43; nzij_current(254,2)=77;
  nzij_current(255,1)=53; nzij_current(255,2)=77;
  nzij_current(256,1)=69; nzij_current(256,2)=77;
  nzij_current(257,1)=75; nzij_current(257,2)=77;
  nzij_current(258,1)=78; nzij_current(258,2)=77;
  nzij_current(259,1)=97; nzij_current(259,2)=77;
  nzij_current(260,1)=98; nzij_current(260,2)=77;
  nzij_current(261,1)=119; nzij_current(261,2)=77;
  nzij_current(262,1)=124; nzij_current(262,2)=77;
  nzij_current(263,1)=125; nzij_current(263,2)=77;
  nzij_current(264,1)=126; nzij_current(264,2)=77;
  nzij_current(265,1)=127; nzij_current(265,2)=77;
  nzij_current(266,1)=150; nzij_current(266,2)=77;
  nzij_current(267,1)=151; nzij_current(267,2)=77;
  nzij_current(268,1)=46; nzij_current(268,2)=78;
  nzij_current(269,1)=47; nzij_current(269,2)=78;
  nzij_current(270,1)=48; nzij_current(270,2)=78;
  nzij_current(271,1)=54; nzij_current(271,2)=78;
  nzij_current(272,1)=55; nzij_current(272,2)=78;
  nzij_current(273,1)=76; nzij_current(273,2)=78;
  nzij_current(274,1)=77; nzij_current(274,2)=78;
  nzij_current(275,1)=80; nzij_current(275,2)=78;
  nzij_current(276,1)=98; nzij_current(276,2)=78;
  nzij_current(277,1)=120; nzij_current(277,2)=78;
  nzij_current(278,1)=130; nzij_current(278,2)=78;
  nzij_current(279,1)=132; nzij_current(279,2)=78;
  nzij_current(280,1)=76; nzij_current(280,2)=79;
  nzij_current(281,1)=77; nzij_current(281,2)=79;
  nzij_current(282,1)=80; nzij_current(282,2)=79;
  nzij_current(283,1)=95; nzij_current(283,2)=79;
  nzij_current(284,1)=120; nzij_current(284,2)=80;
  nzij_current(285,1)=39; nzij_current(285,2)=81;
  nzij_current(286,1)=43; nzij_current(286,2)=81;
  nzij_current(287,1)=53; nzij_current(287,2)=81;
  nzij_current(288,1)=77; nzij_current(288,2)=81;
  nzij_current(289,1)=97; nzij_current(289,2)=81;
  nzij_current(290,1)=98; nzij_current(290,2)=81;
  nzij_current(291,1)=119; nzij_current(291,2)=81;
  nzij_current(292,1)=142; nzij_current(292,2)=81;
  nzij_current(293,1)=150; nzij_current(293,2)=81;
  nzij_current(294,1)=151; nzij_current(294,2)=81;
  nzij_current(295,1)=155; nzij_current(295,2)=81;
  nzij_current(296,1)=77; nzij_current(296,2)=82;
  nzij_current(297,1)=78; nzij_current(297,2)=82;
  nzij_current(298,1)=39; nzij_current(298,2)=83;
  nzij_current(299,1)=44; nzij_current(299,2)=83;
  nzij_current(300,1)=46; nzij_current(300,2)=83;
  nzij_current(301,1)=97; nzij_current(301,2)=83;
  nzij_current(302,1)=49; nzij_current(302,2)=84;
  nzij_current(303,1)=50; nzij_current(303,2)=84;
  nzij_current(304,1)=68; nzij_current(304,2)=84;
  nzij_current(305,1)=81; nzij_current(305,2)=84;
  nzij_current(306,1)=121; nzij_current(306,2)=84;
  nzij_current(307,1)=133; nzij_current(307,2)=84;
  nzij_current(308,1)=79; nzij_current(308,2)=85;
  nzij_current(309,1)=80; nzij_current(309,2)=85;
  nzij_current(310,1)=79; nzij_current(310,2)=86;
  nzij_current(311,1)=81; nzij_current(311,2)=86;
  nzij_current(312,1)=121; nzij_current(312,2)=87;
  nzij_current(313,1)=122; nzij_current(313,2)=87;
  nzij_current(314,1)=122; nzij_current(314,2)=88;
  nzij_current(315,1)=123; nzij_current(315,2)=89;
  nzij_current(316,1)=2; nzij_current(316,2)=90;
  nzij_current(317,1)=14; nzij_current(317,2)=90;
  nzij_current(318,1)=39; nzij_current(318,2)=90;
  nzij_current(319,1)=75; nzij_current(319,2)=90;
  nzij_current(320,1)=85; nzij_current(320,2)=90;
  nzij_current(321,1)=7; nzij_current(321,2)=91;
  nzij_current(322,1)=9; nzij_current(322,2)=91;
  nzij_current(323,1)=10; nzij_current(323,2)=91;
  nzij_current(324,1)=49; nzij_current(324,2)=91;
  nzij_current(325,1)=50; nzij_current(325,2)=91;
  nzij_current(326,1)=60; nzij_current(326,2)=91;
  nzij_current(327,1)=61; nzij_current(327,2)=91;
  nzij_current(328,1)=68; nzij_current(328,2)=91;
  nzij_current(329,1)=70; nzij_current(329,2)=91;
  nzij_current(330,1)=71; nzij_current(330,2)=91;
  nzij_current(331,1)=86; nzij_current(331,2)=91;
  nzij_current(332,1)=12; nzij_current(332,2)=92;
  nzij_current(333,1)=73; nzij_current(333,2)=92;
  nzij_current(334,1)=74; nzij_current(334,2)=92;
  nzij_current(335,1)=87; nzij_current(335,2)=92;
  nzij_current(336,1)=16; nzij_current(336,2)=93;
  nzij_current(337,1)=56; nzij_current(337,2)=93;
  nzij_current(338,1)=67; nzij_current(338,2)=93;
  nzij_current(339,1)=88; nzij_current(339,2)=93;
  nzij_current(340,1)=96; nzij_current(340,2)=93;
  nzij_current(341,1)=81; nzij_current(341,2)=94;
  nzij_current(342,1)=89; nzij_current(342,2)=94;
  nzij_current(343,1)=76; nzij_current(343,2)=95;
  nzij_current(344,1)=90; nzij_current(344,2)=95;
  nzij_current(345,1)=77; nzij_current(345,2)=96;
  nzij_current(346,1)=92; nzij_current(346,2)=96;
  nzij_current(347,1)=15; nzij_current(347,2)=97;
  nzij_current(348,1)=78; nzij_current(348,2)=97;
  nzij_current(349,1)=94; nzij_current(349,2)=97;
  nzij_current(350,1)=51; nzij_current(350,2)=98;
  nzij_current(351,1)=52; nzij_current(351,2)=98;
  nzij_current(352,1)=96; nzij_current(352,2)=98;
  nzij_current(353,1)=157; nzij_current(353,2)=98;
  nzij_current(354,1)=1; nzij_current(354,2)=99;
  nzij_current(355,1)=73; nzij_current(355,2)=100;
  nzij_current(356,1)=74; nzij_current(356,2)=100;
  nzij_current(357,1)=98; nzij_current(357,2)=100;
  nzij_current(358,1)=100; nzij_current(358,2)=100;
  nzij_current(359,1)=119; nzij_current(359,2)=100;
  nzij_current(360,1)=143; nzij_current(360,2)=100;
  nzij_current(361,1)=99; nzij_current(361,2)=101;
  nzij_current(362,1)=100; nzij_current(362,2)=101;
  nzij_current(363,1)=54; nzij_current(363,2)=102;
  nzij_current(364,1)=69; nzij_current(364,2)=102;
  nzij_current(365,1)=98; nzij_current(365,2)=102;
  nzij_current(366,1)=104; nzij_current(366,2)=102;
  nzij_current(367,1)=119; nzij_current(367,2)=102;
  nzij_current(368,1)=144; nzij_current(368,2)=102;
  nzij_current(369,1)=103; nzij_current(369,2)=103;
  nzij_current(370,1)=104; nzij_current(370,2)=103;
  nzij_current(371,1)=78; nzij_current(371,2)=104;
  nzij_current(372,1)=98; nzij_current(372,2)=104;
  nzij_current(373,1)=108; nzij_current(373,2)=104;
  nzij_current(374,1)=119; nzij_current(374,2)=104;
  nzij_current(375,1)=147; nzij_current(375,2)=104;
  nzij_current(376,1)=107; nzij_current(376,2)=105;
  nzij_current(377,1)=108; nzij_current(377,2)=105;
  nzij_current(378,1)=39; nzij_current(378,2)=106;
  nzij_current(379,1)=43; nzij_current(379,2)=106;
  nzij_current(380,1)=98; nzij_current(380,2)=106;
  nzij_current(381,1)=110; nzij_current(381,2)=106;
  nzij_current(382,1)=119; nzij_current(382,2)=106;
  nzij_current(383,1)=142; nzij_current(383,2)=106;
  nzij_current(384,1)=146; nzij_current(384,2)=106;
  nzij_current(385,1)=109; nzij_current(385,2)=107;
  nzij_current(386,1)=110; nzij_current(386,2)=107;
  nzij_current(387,1)=78; nzij_current(387,2)=108;
  nzij_current(388,1)=98; nzij_current(388,2)=108;
  nzij_current(389,1)=106; nzij_current(389,2)=108;
  nzij_current(390,1)=119; nzij_current(390,2)=108;
  nzij_current(391,1)=145; nzij_current(391,2)=108;
  nzij_current(392,1)=150; nzij_current(392,2)=108;
  nzij_current(393,1)=151; nzij_current(393,2)=108;
  nzij_current(394,1)=105; nzij_current(394,2)=109;
  nzij_current(395,1)=106; nzij_current(395,2)=109;
  nzij_current(396,1)=111; nzij_current(396,2)=110;
  nzij_current(397,1)=98; nzij_current(397,2)=111;
  nzij_current(398,1)=102; nzij_current(398,2)=111;
  nzij_current(399,1)=119; nzij_current(399,2)=111;
  nzij_current(400,1)=101; nzij_current(400,2)=112;
  nzij_current(401,1)=102; nzij_current(401,2)=112;
  nzij_current(402,1)=98; nzij_current(402,2)=113;
  nzij_current(403,1)=112; nzij_current(403,2)=113;
  nzij_current(404,1)=119; nzij_current(404,2)=113;
  nzij_current(405,1)=148; nzij_current(405,2)=113;
  nzij_current(406,1)=113; nzij_current(406,2)=114;
  nzij_current(407,1)=114; nzij_current(407,2)=114;
  nzij_current(408,1)=112; nzij_current(408,2)=115;
  nzij_current(409,1)=113; nzij_current(409,2)=115;
  nzij_current(410,1)=112; nzij_current(410,2)=116;
  nzij_current(411,1)=115; nzij_current(411,2)=116;
  nzij_current(412,1)=68; nzij_current(412,2)=117;
  nzij_current(413,1)=70; nzij_current(413,2)=117;
  nzij_current(414,1)=71; nzij_current(414,2)=117;
  nzij_current(415,1)=83; nzij_current(415,2)=117;
  nzij_current(416,1)=119; nzij_current(416,2)=118;
  nzij_current(417,1)=129; nzij_current(417,2)=118;
  nzij_current(418,1)=83; nzij_current(418,2)=119;
  nzij_current(419,1)=98; nzij_current(419,2)=119;
  nzij_current(420,1)=112; nzij_current(420,2)=119;
  nzij_current(421,1)=130; nzij_current(421,2)=119;
  nzij_current(422,1)=136; nzij_current(422,2)=119;
  nzij_current(423,1)=137; nzij_current(423,2)=119;
  nzij_current(424,1)=138; nzij_current(424,2)=119;
  nzij_current(425,1)=139; nzij_current(425,2)=119;
  nzij_current(426,1)=116; nzij_current(426,2)=120;
  nzij_current(427,1)=117; nzij_current(427,2)=121;
  nzij_current(428,1)=118; nzij_current(428,2)=121;
  nzij_current(429,1)=20; nzij_current(429,2)=122;
  nzij_current(430,1)=22; nzij_current(430,2)=122;
  nzij_current(431,1)=24; nzij_current(431,2)=122;
  nzij_current(432,1)=26; nzij_current(432,2)=122;
  nzij_current(433,1)=28; nzij_current(433,2)=122;
  nzij_current(434,1)=30; nzij_current(434,2)=122;
  nzij_current(435,1)=99; nzij_current(435,2)=122;
  nzij_current(436,1)=101; nzij_current(436,2)=122;
  nzij_current(437,1)=103; nzij_current(437,2)=122;
  nzij_current(438,1)=105; nzij_current(438,2)=122;
  nzij_current(439,1)=107; nzij_current(439,2)=122;
  nzij_current(440,1)=109; nzij_current(440,2)=122;
  nzij_current(441,1)=117; nzij_current(441,2)=122;
  nzij_current(442,1)=72; nzij_current(442,2)=123;
  nzij_current(443,1)=71; nzij_current(443,2)=124;
  nzij_current(444,1)=72; nzij_current(444,2)=124;
  nzij_current(445,1)=70; nzij_current(445,2)=125;
  nzij_current(446,1)=97; nzij_current(446,2)=126;
  nzij_current(447,1)=98; nzij_current(447,2)=126;
  nzij_current(448,1)=119; nzij_current(448,2)=126;
  nzij_current(449,1)=151; nzij_current(449,2)=126;
  nzij_current(450,1)=11; nzij_current(450,2)=127;
  nzij_current(451,1)=10; nzij_current(451,2)=128;
  nzij_current(452,1)=11; nzij_current(452,2)=128;
  nzij_current(453,1)=9; nzij_current(453,2)=129;
  nzij_current(454,1)=7; nzij_current(454,2)=130;
  nzij_current(455,1)=9; nzij_current(455,2)=130;
  nzij_current(456,1)=10; nzij_current(456,2)=130;
  nzij_current(457,1)=17; nzij_current(457,2)=130;
  nzij_current(458,1)=17; nzij_current(458,2)=131;
  nzij_current(459,1)=19; nzij_current(459,2)=131;
  nzij_current(460,1)=32; nzij_current(460,2)=131;
  nzij_current(461,1)=37; nzij_current(461,2)=132;
  nzij_current(462,1)=19; nzij_current(462,2)=133;
  nzij_current(463,1)=23; nzij_current(463,2)=133;
  nzij_current(464,1)=38; nzij_current(464,2)=133;
  nzij_current(465,1)=22; nzij_current(465,2)=134;
  nzij_current(466,1)=23; nzij_current(466,2)=134;
  nzij_current(467,1)=38; nzij_current(467,2)=135;
  nzij_current(468,1)=18; nzij_current(468,2)=136;
  nzij_current(469,1)=19; nzij_current(469,2)=136;
  nzij_current(470,1)=158; nzij_current(470,2)=137;
  nzij_current(471,1)=152; nzij_current(471,2)=138;
  nzij_current(472,1)=153; nzij_current(472,2)=139;
  nzij_current(473,1)=154; nzij_current(473,2)=140;
  nzij_current(474,1)=155; nzij_current(474,2)=141;
  nzij_current(475,1)=156; nzij_current(475,2)=142;
  nzij_current(476,1)=157; nzij_current(476,2)=143;
  nzij_current(477,1)=74; nzij_current(477,2)=144;
  nzij_current(478,1)=17; nzij_current(478,2)=145;
  nzij_current(479,1)=63; nzij_current(479,2)=145;
  nzij_current(480,1)=52; nzij_current(480,2)=146;
  nzij_current(481,1)=83; nzij_current(481,2)=146;
  nzij_current(482,1)=53; nzij_current(482,2)=147;
  nzij_current(483,1)=83; nzij_current(483,2)=147;
  nzij_current(484,1)=17; nzij_current(484,2)=148;
  nzij_current(485,1)=64; nzij_current(485,2)=148;
  nzij_current(486,1)=46; nzij_current(486,2)=149;
  nzij_current(487,1)=51; nzij_current(487,2)=149;
  nzij_current(488,1)=52; nzij_current(488,2)=149;
  nzij_current(489,1)=47; nzij_current(489,2)=150;
  nzij_current(490,1)=48; nzij_current(490,2)=150;
  nzij_current(491,1)=55; nzij_current(491,2)=150;
  nzij_current(492,1)=50; nzij_current(492,2)=151;
  nzij_current(493,1)=51; nzij_current(493,2)=151;
  nzij_current(494,1)=57; nzij_current(494,2)=152;
  nzij_current(495,1)=62; nzij_current(495,2)=152;
  nzij_current(496,1)=63; nzij_current(496,2)=152;
  nzij_current(497,1)=58; nzij_current(497,2)=153;
  nzij_current(498,1)=59; nzij_current(498,2)=153;
  nzij_current(499,1)=66; nzij_current(499,2)=153;
  nzij_current(500,1)=61; nzij_current(500,2)=154;
  nzij_current(501,1)=62; nzij_current(501,2)=154;
  nzij_current(502,1)=12; nzij_current(502,2)=155;
  nzij_current(503,1)=13; nzij_current(503,2)=155;
  nzij_current(504,1)=65; nzij_current(504,2)=155;
  nzij_current(505,1)=54; nzij_current(505,2)=156;
  nzij_current(506,1)=73; nzij_current(506,2)=156;
  nzij_current(507,1)=84; nzij_current(507,2)=156;
  nzij_current(508,1)=47; nzij_current(508,2)=157;
  nzij_current(509,1)=55; nzij_current(509,2)=157;
  nzij_current(510,1)=58; nzij_current(510,2)=158;
  nzij_current(511,1)=66; nzij_current(511,2)=158;
  nzij_current(512,1)=159; nzij_current(512,2)=159;
  nzij_current(513,1)=160; nzij_current(513,2)=160;
  nzij_current(514,1)=161; nzij_current(514,2)=161;
  nzij_current(515,1)=162; nzij_current(515,2)=162;
  nzij_current(516,1)=163; nzij_current(516,2)=163;
  nzij_current(517,1)=164; nzij_current(517,2)=164;
  nzij_current(518,1)=165; nzij_current(518,2)=165;
  nzij_current(519,1)=166; nzij_current(519,2)=166;
  nzij_current(520,1)=167; nzij_current(520,2)=167;
  nzij_current(521,1)=168; nzij_current(521,2)=168;
  nzij_current(522,1)=169; nzij_current(522,2)=169;
  nzij_current(523,1)=170; nzij_current(523,2)=170;
  nzij_current(524,1)=171; nzij_current(524,2)=171;
  nzij_current(525,1)=172; nzij_current(525,2)=172;
  nzij_current(526,1)=173; nzij_current(526,2)=173;
  nzij_current(527,1)=174; nzij_current(527,2)=174;
  nzij_current(528,1)=175; nzij_current(528,2)=175;
  nzij_current(529,1)=176; nzij_current(529,2)=176;
  nzij_current(530,1)=177; nzij_current(530,2)=177;
  nzij_current(531,1)=178; nzij_current(531,2)=178;
  nzij_current(532,1)=179; nzij_current(532,2)=179;
  nzij_current(533,1)=180; nzij_current(533,2)=180;
  nzij_current(534,1)=181; nzij_current(534,2)=181;
  nzij_current(535,1)=182; nzij_current(535,2)=182;
  nzij_current(536,1)=183; nzij_current(536,2)=183;
  nzij_current(537,1)=184; nzij_current(537,2)=184;
  nzij_current(538,1)=185; nzij_current(538,2)=185;
  nzij_current(539,1)=186; nzij_current(539,2)=186;
  nzij_current(540,1)=187; nzij_current(540,2)=187;
  nzij_current(541,1)=188; nzij_current(541,2)=188;
  nzij_current(542,1)=189; nzij_current(542,2)=189;
  nzij_current(543,1)=190; nzij_current(543,2)=190;
  nzij_current(544,1)=191; nzij_current(544,2)=191;
  nzij_current(545,1)=192; nzij_current(545,2)=192;
  nzij_current(546,1)=193; nzij_current(546,2)=193;
  nzij_current(547,1)=194; nzij_current(547,2)=194;
  nzij_current(548,1)=195; nzij_current(548,2)=195;
  nzij_current(549,1)=196; nzij_current(549,2)=196;
  nzij_current(550,1)=197; nzij_current(550,2)=197;
  nzij_current(551,1)=198; nzij_current(551,2)=198;
  nzij_current(552,1)=199; nzij_current(552,2)=199;
  nzij_current(553,1)=200; nzij_current(553,2)=200;
  nzij_current(554,1)=201; nzij_current(554,2)=201;
  nzij_current(555,1)=202; nzij_current(555,2)=202;
  nzij_current(556,1)=203; nzij_current(556,2)=203;
  nzij_current(557,1)=204; nzij_current(557,2)=204;
  nzij_fwrd = zeros(115, 2, 'int32');
  nzij_fwrd(1,1)=124; nzij_fwrd(1,2)=33;
  nzij_fwrd(2,1)=68; nzij_fwrd(2,2)=43;
  nzij_fwrd(3,1)=70; nzij_fwrd(3,2)=43;
  nzij_fwrd(4,1)=71; nzij_fwrd(4,2)=43;
  nzij_fwrd(5,1)=56; nzij_fwrd(5,2)=44;
  nzij_fwrd(6,1)=7; nzij_fwrd(6,2)=53;
  nzij_fwrd(7,1)=9; nzij_fwrd(7,2)=53;
  nzij_fwrd(8,1)=10; nzij_fwrd(8,2)=53;
  nzij_fwrd(9,1)=67; nzij_fwrd(9,2)=54;
  nzij_fwrd(10,1)=7; nzij_fwrd(10,2)=75;
  nzij_fwrd(11,1)=9; nzij_fwrd(11,2)=75;
  nzij_fwrd(12,1)=10; nzij_fwrd(12,2)=75;
  nzij_fwrd(13,1)=56; nzij_fwrd(13,2)=75;
  nzij_fwrd(14,1)=67; nzij_fwrd(14,2)=75;
  nzij_fwrd(15,1)=68; nzij_fwrd(15,2)=75;
  nzij_fwrd(16,1)=70; nzij_fwrd(16,2)=75;
  nzij_fwrd(17,1)=71; nzij_fwrd(17,2)=75;
  nzij_fwrd(18,1)=77; nzij_fwrd(18,2)=75;
  nzij_fwrd(19,1)=77; nzij_fwrd(19,2)=76;
  nzij_fwrd(20,1)=68; nzij_fwrd(20,2)=78;
  nzij_fwrd(21,1)=70; nzij_fwrd(21,2)=78;
  nzij_fwrd(22,1)=71; nzij_fwrd(22,2)=78;
  nzij_fwrd(23,1)=76; nzij_fwrd(23,2)=78;
  nzij_fwrd(24,1)=77; nzij_fwrd(24,2)=78;
  nzij_fwrd(25,1)=149; nzij_fwrd(25,2)=78;
  nzij_fwrd(26,1)=159; nzij_fwrd(26,2)=78;
  nzij_fwrd(27,1)=76; nzij_fwrd(27,2)=79;
  nzij_fwrd(28,1)=77; nzij_fwrd(28,2)=79;
  nzij_fwrd(29,1)=122; nzij_fwrd(29,2)=80;
  nzij_fwrd(30,1)=77; nzij_fwrd(30,2)=81;
  nzij_fwrd(31,1)=134; nzij_fwrd(31,2)=84;
  nzij_fwrd(32,1)=135; nzij_fwrd(32,2)=84;
  nzij_fwrd(33,1)=71; nzij_fwrd(33,2)=124;
  nzij_fwrd(34,1)=70; nzij_fwrd(34,2)=125;
  nzij_fwrd(35,1)=10; nzij_fwrd(35,2)=128;
  nzij_fwrd(36,1)=9; nzij_fwrd(36,2)=129;
  nzij_fwrd(37,1)=50; nzij_fwrd(37,2)=150;
  nzij_fwrd(38,1)=61; nzij_fwrd(38,2)=153;
  nzij_fwrd(39,1)=149; nzij_fwrd(39,2)=159;
  nzij_fwrd(40,1)=160; nzij_fwrd(40,2)=159;
  nzij_fwrd(41,1)=149; nzij_fwrd(41,2)=160;
  nzij_fwrd(42,1)=161; nzij_fwrd(42,2)=160;
  nzij_fwrd(43,1)=149; nzij_fwrd(43,2)=161;
  nzij_fwrd(44,1)=162; nzij_fwrd(44,2)=161;
  nzij_fwrd(45,1)=149; nzij_fwrd(45,2)=162;
  nzij_fwrd(46,1)=163; nzij_fwrd(46,2)=162;
  nzij_fwrd(47,1)=149; nzij_fwrd(47,2)=163;
  nzij_fwrd(48,1)=164; nzij_fwrd(48,2)=163;
  nzij_fwrd(49,1)=149; nzij_fwrd(49,2)=164;
  nzij_fwrd(50,1)=165; nzij_fwrd(50,2)=164;
  nzij_fwrd(51,1)=149; nzij_fwrd(51,2)=165;
  nzij_fwrd(52,1)=166; nzij_fwrd(52,2)=165;
  nzij_fwrd(53,1)=149; nzij_fwrd(53,2)=166;
  nzij_fwrd(54,1)=167; nzij_fwrd(54,2)=166;
  nzij_fwrd(55,1)=149; nzij_fwrd(55,2)=167;
  nzij_fwrd(56,1)=168; nzij_fwrd(56,2)=167;
  nzij_fwrd(57,1)=149; nzij_fwrd(57,2)=168;
  nzij_fwrd(58,1)=169; nzij_fwrd(58,2)=168;
  nzij_fwrd(59,1)=149; nzij_fwrd(59,2)=169;
  nzij_fwrd(60,1)=170; nzij_fwrd(60,2)=169;
  nzij_fwrd(61,1)=149; nzij_fwrd(61,2)=170;
  nzij_fwrd(62,1)=171; nzij_fwrd(62,2)=170;
  nzij_fwrd(63,1)=149; nzij_fwrd(63,2)=171;
  nzij_fwrd(64,1)=172; nzij_fwrd(64,2)=171;
  nzij_fwrd(65,1)=149; nzij_fwrd(65,2)=172;
  nzij_fwrd(66,1)=173; nzij_fwrd(66,2)=172;
  nzij_fwrd(67,1)=149; nzij_fwrd(67,2)=173;
  nzij_fwrd(68,1)=174; nzij_fwrd(68,2)=173;
  nzij_fwrd(69,1)=149; nzij_fwrd(69,2)=174;
  nzij_fwrd(70,1)=175; nzij_fwrd(70,2)=174;
  nzij_fwrd(71,1)=149; nzij_fwrd(71,2)=175;
  nzij_fwrd(72,1)=176; nzij_fwrd(72,2)=175;
  nzij_fwrd(73,1)=149; nzij_fwrd(73,2)=176;
  nzij_fwrd(74,1)=177; nzij_fwrd(74,2)=176;
  nzij_fwrd(75,1)=149; nzij_fwrd(75,2)=177;
  nzij_fwrd(76,1)=178; nzij_fwrd(76,2)=177;
  nzij_fwrd(77,1)=149; nzij_fwrd(77,2)=178;
  nzij_fwrd(78,1)=179; nzij_fwrd(78,2)=178;
  nzij_fwrd(79,1)=149; nzij_fwrd(79,2)=179;
  nzij_fwrd(80,1)=180; nzij_fwrd(80,2)=179;
  nzij_fwrd(81,1)=149; nzij_fwrd(81,2)=180;
  nzij_fwrd(82,1)=181; nzij_fwrd(82,2)=180;
  nzij_fwrd(83,1)=149; nzij_fwrd(83,2)=181;
  nzij_fwrd(84,1)=182; nzij_fwrd(84,2)=181;
  nzij_fwrd(85,1)=149; nzij_fwrd(85,2)=182;
  nzij_fwrd(86,1)=183; nzij_fwrd(86,2)=182;
  nzij_fwrd(87,1)=149; nzij_fwrd(87,2)=183;
  nzij_fwrd(88,1)=184; nzij_fwrd(88,2)=183;
  nzij_fwrd(89,1)=149; nzij_fwrd(89,2)=184;
  nzij_fwrd(90,1)=185; nzij_fwrd(90,2)=184;
  nzij_fwrd(91,1)=149; nzij_fwrd(91,2)=185;
  nzij_fwrd(92,1)=186; nzij_fwrd(92,2)=185;
  nzij_fwrd(93,1)=149; nzij_fwrd(93,2)=186;
  nzij_fwrd(94,1)=187; nzij_fwrd(94,2)=186;
  nzij_fwrd(95,1)=149; nzij_fwrd(95,2)=187;
  nzij_fwrd(96,1)=188; nzij_fwrd(96,2)=187;
  nzij_fwrd(97,1)=149; nzij_fwrd(97,2)=188;
  nzij_fwrd(98,1)=189; nzij_fwrd(98,2)=188;
  nzij_fwrd(99,1)=149; nzij_fwrd(99,2)=189;
  nzij_fwrd(100,1)=190; nzij_fwrd(100,2)=189;
  nzij_fwrd(101,1)=149; nzij_fwrd(101,2)=190;
  nzij_fwrd(102,1)=191; nzij_fwrd(102,2)=190;
  nzij_fwrd(103,1)=149; nzij_fwrd(103,2)=191;
  nzij_fwrd(104,1)=192; nzij_fwrd(104,2)=191;
  nzij_fwrd(105,1)=149; nzij_fwrd(105,2)=192;
  nzij_fwrd(106,1)=193; nzij_fwrd(106,2)=192;
  nzij_fwrd(107,1)=149; nzij_fwrd(107,2)=193;
  nzij_fwrd(108,1)=194; nzij_fwrd(108,2)=193;
  nzij_fwrd(109,1)=149; nzij_fwrd(109,2)=194;
  nzij_fwrd(110,1)=195; nzij_fwrd(110,2)=194;
  nzij_fwrd(111,1)=149; nzij_fwrd(111,2)=195;
  nzij_fwrd(112,1)=196; nzij_fwrd(112,2)=195;
  nzij_fwrd(113,1)=149; nzij_fwrd(113,2)=196;
  nzij_fwrd(114,1)=197; nzij_fwrd(114,2)=196;
  nzij_fwrd(115,1)=149; nzij_fwrd(115,2)=197;
end
