

%Most variables and backed out parameters pertaining to the entrepreneurial sector

#tromegabar_ss= (log(omegabar_ss)+0.5*sigma_ss^2)/sigma_ss;
#F_ss    =   normcdf(tromegabar_ss,0,1);
#F_1     =   1/(omegabar_ss*sigma_ss)*normpdf(tromegabar_ss,0,1);
#F_11    =   -F_1/omegabar_ss*(1+(log(omegabar_ss)+0.5*sigma_ss^2)/sigma_ss^2);
#F_12    =   -F_1/sigma_ss*(1+(0.25*sigma_ss^4-(log(omegabar_ss))^2)/sigma_ss^2);
#F_2     =   (0.5*sigma_ss^2-log(omegabar_ss))/sigma_ss^2*normpdf(tromegabar_ss,0,1);
#G_ss    =   normcdf(tromegabar_ss-sigma_ss);
#G_1    =    omegabar_ss*F_1;
#G_11    =   F_1+omegabar_ss*F_11;
#G_12    =   omegabar_ss*F_12;
#G_2     =   ((0.5*sigma_ss^2-log(omegabar_ss))/sigma_ss^2-1)*normpdf(tromegabar_ss-sigma_ss,0,1);
#Gamma_ss  =   omegabar_ss*(1-F_ss)+G_ss;
#Gamma_1   =   1-F_ss;
#Gamma_2   =   -omegabar_ss*F_2+G_2;
#Gamma_11  =   -F_1;
#Gamma_12  =   -F_2;
#Expr1   =   Gamma_ss-mu*G_ss;
#Expr2   =   Gamma_1-mu*G_1;
#Expr3   =   Gamma_2-mu*G_2;
#xi_ss =   Gamma_1/Expr2;
#cefp   =   Gamma_1/(Gamma_1-mu*(G_1*(1-Gamma_ss)+Gamma_1*G_ss));
#cphie=   1/(1-Expr1*cefp);
//Rb_ss   =   cr; % no s2_ss, return on bank loans equals risk free rate
//RL_ss   =   omegabar_ss*Rk_ss/(1-1/cphie);

%Calculation of coefficient on entrepreneurial leverage cchie and on sigma chi_sigma
#Upsilon     =   1-Gamma_ss+xi_ss*Expr1;
#domegabards1=-Expr1/(Expr2*cefp);
#domegabardphi_e=(1-Expr1*cefp)/(Expr2*cefp*cphie);
#domegabardsigma=-Expr3/Expr2;
#xi_1  =   mu*(Gamma_1*G_11-Gamma_11*G_1)/(Expr2^2);
#xi_2  =   mu*(Gamma_1*G_12-Gamma_12*G_1)/(Expr2^2);
#Upsilon_1   =   xi_1*Expr1;
#Upsilon_2   =   -Gamma_2+xi_2*Expr1+xi_ss*Expr3;
#dphi_eds1=((cefp*Upsilon_1-xi_1)*domegabards1+Upsilon)/((xi_1-cefp*Upsilon_1)*domegabardphi_e);
#cchie=      cphie/dphi_eds1*(1/cefp);
#chi_sigma=  -sigma_ss*(domegabardsigma*(Upsilon_1*cefp-xi_1)-xi_2+cefp*Upsilon_2)/(cefp*((cefp*Upsilon_1-xi_1)*domegabards1+Upsilon));

