@#define fins=["gg","tt","t","tauc","taun","tauwh","tauwf"]
@#define finsrulestd=["gg","t","tauc","taun","tauwh","tauwf"]
@#define shocks=["etfp", "ea", "eb", "eg", "eqs", "em", "epinf", "ew","egg","et", "etauwh", "etauwf", "etauc", "etaun", "ett","etarget","els","epiobj","ebgov", "ebgov2"]

var dHOURS_us HOURS_us HOURSCJS STI_us dYED_us dYER_us   

    dPCRYED_us
    dITPRYED_us
    dWYED_us
    dGGRYED_us 

    SCRW_us 
    SCEW_us 
    TINC_us
    TAULAB_us
    dTHHYED_us
    PDY_us
    DY_us
    DY_DOT_us

    TAUNWLY_us
    dDEBT_us
    dDEBT2_us
    DEBT2GDP_us   
    DTXY2
    CPI10
    @#for h in OIShorizon_shock
        ms_@{h} 
    @#endfor

    @#for h in OIShorizon_obs
        OIS_@{h}_us
        OISINST_@{h}_us
    @#endfor

@#if DUM_FA  
         re rl    ref rlf 
@#endif    

bgovmv EMPL_dev_us ewma epinfma mc zcap rk k pk c ctot xi inve y zcapf rkf kf kpf pkf cf ctotf xif invef yf labf wf wef rrf ggf gg_trendf ttf tt_shockf tt_trendf tt_cyclef taucf tauc_trendf tauwff tauwf_trendf taunf taun_trendf tauwhf tauwh_trendf taukf gamma gammaw lab pinf piobj pinf_annual w wh we r rnot rnot2 r_annual rr_annual ctotinve a b g qs ms spinf sw ls kp outputgap gg gg_trend tauc tauc_trend tauwh tauwh_trend tauwf tauwf_trend taun taun_trend tauk t t_trend tt tt_shock tt_trend tt_cycle btot pdy bgov bgovtarget SGP_shock SGP rbgov rbgovn pbgov nprof rbgovf rbgovnf pbgovf btotf bgovf bgovtargetf tf t_trendf pdyf nproff
   TFP YL CL INVEL WL KL KPL GDP
   bef be bwc bwcf nw RKK phie nwf RKKf phief cef ce ombar ombarf;  

varexo 
@#for s in shocks
        @{ s }
        
@#endfor 

        @#for h in OIShorizon_shock
                em_@{h}       
         @#endfor

//MFG_us DUM_us
;
 
parameters curvw curvp cgy ciy cdtxy constelab constepinf constecpidif cmaw cmap czcap csadjcost ctou csigma chabb cfc cindw cprobw crhog crhoqs crhoms crhopinf crhopiobj crhow ctrend ctrendw cg cggy cgg_y
           cindp cprobp csigl clandaw crpi crdy cry crr crhoa crhotfp crhob 
           ceta1 ceta2 ceta3 comega cbg2gdp cty  calvoempl 
            cB2GDP_us consteb ctaunwly ctauc ctauwh ctauwf ctauk ctty cpsiwc  comegae cediv  mu sigma_ss omegabar_ss cbc DUM_PDEBT  DUM_EFP DUM_CE
           @#for s in shocks
                sd_@{ s }        
           @#endfor 
         @#define OIS_para=[1,2,3,4,5,6,7,8,9,10,11,12]
         @#for h in OIS_para
                sd_em_@{h}
                crhoms_@{h}
         @#endfor

         @#for h in OIShorizon_obs
                ex_@{h}
         @#endfor


@#for j in fins
        crho@{ j } phi@{ j } cthetay@{ j } cthetabgov@{ j } cthetaSGP@{ j }
        
@#endfor 

crhotarget
crhostarget
cbgovtargety
DUM_BB

@#if DUM_constebeta
    constebeta
@#else
     consterr
@#endif

    @#if DUM_PDYDM
        constepdy
    @#endif


    csigmab



    csigmaK


@#if DUM_est_theta
     constetheta

@#else
    theta

@#endif


;



@#if DUM_1987_2018
    ciy=0.170644717;
    cnxinvy= -0.025342067;
    cggy=0.192331394;
    ctrend=   0.35984; %quarterly trend growth rate to GDP
    constepinf=0.53545; %quarterly SS inflation rate
    constecpidif=0.358294763;
    //clabshare=0.584069;
    @#if DUM_constebeta
       constebeta=0.1453;
    @#else
        consterr=1.5/4;
    @#endif

    @#if DUM_GOVDEBT   
                    %Government debt in datasedt
        @#if DUM_DEBT2  
             cbg2gdp=4*0.4214145458;          
        @#else
            cbg2gdp=4*0.4876362;
        @#endif
                    %Government deficit in dataset
    @#else      
           %Headline deficit
           @#if DUM_DY
                        %From treasury
                @#if DUM_DY_DOT_us                  
                    cbg2gdp=4*0.4876362;
                @#else        
                            %From NIPA (minus Federal Gov. net lending)
                    cbg2gdp=4*69.89792142/100;
                @#endif
                            %Primary deficit, from NIPA (minus Federal Gov. net lending excluding interest).
           @#else                                   
                cbg2gdp=4*0.4690;
           @#endif
    @#endif

    ctauk=17.9227/100;
    ctauc=1.2837/100;
    ctaunwly=12.3460/100;
    //ctaun=0.21112;
    ctauwf=0;
    ctauwh=0;
    ctty=11.6239/100;
    cdtxy=0;



    @#if DUM_PDYDM
        constepdy=0.5498;
    @#endif


    comega=0.048398; %from treasury presenation.

    crhotarget=0.995*@{DUM_NODETREND};


@#else
    ciy=0.170529;
    cnxinvy= -0.025155025;
    cggy=0.193509;
    ctrend=   0.35369; %quarterly trend growth rate to GDP
    constepinf=0.535; %quarterly SS inflation rate
    //clabshare=0.584069;
    @#if DUM_constebeta
       constebeta=0.1453;
    @#else
        consterr=1.5/4;
    @#endif

    @#if DUM_GOVDEBT
        cbg2gdp=4*0.4690;
    @#else
        cbg2gdp=4*0.4690;
    @#endif

    ctauk=0.181377;
    ctauc=0.01297;
    ctaunwly=12.324/100;
    //ctaun=0.21112;
    ctauwf=0;
    ctauwh=0;
    ctty=11.5482/100;
    cdtxy=0;



    @#if DUM_PDYDM
        constepdy=0.5498;
    @#endif


    comega=0.045824847;

    crhotarget=0.995*@{DUM_NODETREND};

ex_1=0.05773475/4;
ex_2=0.11309242/4;	
ex_3=0.174733613/4;	
ex_4=0.242326765/4;	
ex_5=0.300719152/4;	
ex_6=0.366193839/4;	
ex_7=0.431348832/4;	
ex_8=0.494541262/4;
ex_12=0;

@#endif


% fixed parameters
ctou=0.025; %depreciation rate
clandaw=1.5; % SS markup labor market


cg=cggy+cnxinvy; 
curvp=10;
curvw=10;

% estimated parameters initialisation
ctrendw=0.4019;


constelab=-0.4474;

//calfa=    0.1915; %labor share in production
ceta1=    0.0334;     % weight for learning by doing in the production function for ceta1=0 we have standard exogenous growth
ceta2=    0.3643;   % weight of capital in the learning by doing specification
ceta3=    1/3;
csigma=   1;%intertemporal elasticity of substitution
cfc=      1.5761; 
cgy=      0.5145;
cgg_y=      0;

csadjcost=4.6642; %investment adjustment cost this is original SW mode
chabb=    0.6;  % habit persistence 
cprobw=   0.8648;  %calvo parameter labor market
csigl=    2.0; 
cprobp=   0.8493; %calvo parameter goods market
cindw=    0.6234; %indexation labor market
cindp=    0.2923; %indexation goods market
czcap=    0.5356;%capital utilization
crpi=     1.9493; %Taylor rule reaction to inflation
crr=      0.7969;%Taylor rule interest rate smoothing
cry=      0.0999;%Taylor rule long run reaction to output gap
crdy=     0.2250;%Taylor rule short run reaction to output gap

crhoa=    0.9331;
crhotfp=  0.5;
crhob=    0.4609;
crhog=    0.9695;


crhoqs=   0.7281;
crhoms=   0.1780; 
crhopinf= 0.9146;
crhow=    0.9436;
cmap =    0.7195;
cmaw  =   0.8337;
crhopiobj =0.995;

crhogg  = 0;
crhott  = 0;
crhotauc= 0;
crhotaun= 0;
crhotauwh=0;
crhotauwf=0;
crhot=    0.865563161500564; 
crhostarget=0;

cthetaygg  = 0;
cthetaytt  = 0;
cthetaytauc= 0;
cthetaytaun= 0;
cthetaytauwh=0;
cthetaytauwf=0;
cthetayt  = 0;

cthetabgovgg  = 0;
cthetabgovtt  = 0;
cthetabgovtauc= 0;
cthetabgovtaun= 0;
cthetabgovtauwh=0;
cthetabgovtauwf=0;
cthetabgovt  = 0.0259756538195282;

cthetaSGPgg=0;
cthetaSGPtt=0;
cthetaSGPtauc=0;
cthetaSGPtaun=0;
cthetaSGPtauwh=0;
cthetaSGPtauwf=0;
cthetaSGPt=0;



phigg   = 0;
phitt   = 0;
phitauc = 0;
phitaun = 0;
phitauwh= 0;
phitauwf= 0;
phit    = 0;

cbgovtargety=0.0000;

consteb=0;

DUM_BB=0;



cB2GDP_us=cbg2gdp*100/4;

@#if DUM_est_theta
    constetheta=0;
@#else
    set_param_value('theta',theta);
@#endif

//theta_K=theta;

@#if DUM_est_csigmab
    csigmab=0.4;
@#else
    csigmab=0;
@#endif




@#if DUM_est_csigmaK
    csigmaK=1;

@#else
    csigmaK=0;
@#endif

cty=0;


cpsiwc=DUM_WC;
//cphie=1.8;
sigma_ss=   0.28;
brate   =   0.0075;
comegae=0.978;
cediv=1;
cbc=1;

calvoempl=0.77;

sd_etauc=0;
sd_etaun =0;
sd_etauwh=0; 
sd_etauwf=0;
sd_et=0; 
sd_ett   =0;
sd_etarget=0;
sd_egg=0;
sd_els=0;

sd_etfp=0;
sd_ea=0;
sd_eb=0; 
sd_eg=0;
sd_eqs=0; 
sd_em=0;
sd_epinf=0; 
sd_ew=0;  
sd_epiobj=0;
sd_ebgov=0;
sd_ebgov2=0;

DUM_PDEBT=1;

if DUM_readestimatesIRF==1
         @#for h in OIS_para
                sd_em_@{h}  =0.0001;
                crhoms_@{h} =0;      
         @#endfor


else
         @#for h in OIS_para
                sd_em_@{h}  =0;
                crhoms_@{h} =0;      
         @#endfor
end

DUM_EFP=@{DUM_EFP};
DUM_CE=@{DUM_CE};
mu=0.15*DUM_EFP;

omegabar_ss=   exp(sigma_ss*norminv(brate,0,1)-0.5*sigma_ss^2);


if DUM_readestimates==1

    @#include "readestimates_all.mod"

end;

//cprobp=0.86;
//cprobw=0.86;
@#if DUM_minimumfis
    cthetabgovtauc=0;
    cthetabgovtt=0;
    cthetabgovgg=0; 
    cthetaygg=0; 
@#endif




model; 


#cgamma=ctrend/100+1;
@#include "model_FA_ssb.mod"

@#if DUM_est_theta
    #theta=100/(constetheta+100); %discount factor
@#endif


@#if DUM_constebeta
    #cbeta=100/(constebeta+100); %discount factor
    #cbetabar=cbeta*cgamma^(-csigma);
    #crealrate=theta/cbetabar;
    #consterr=(crealrate-1)*100;
@#else 
    #crealrate=consterr/100+1;
    #cbetabar=theta/crealrate;
    #cbetabark=1/crealrate;
    #cbeta=cbetabar*cgamma^csigma;
    #constebeta=(1/cbeta-1)*100;
@#endif

#cpie=constepinf/100+1;
#cr=cpie*crealrate;

#cik=(1-(1-ctou)/cgamma)*cgamma;
#cikbar=(1-(1-ctou)/cgamma);
#cky=ciy/cik;





@#if DUM_FA  
    #cchiefp=cchie/(3*cphie*(cphie-1));
    #cfpr=cchiefp*(cphie-1);
    //#cefp=1+DUM_EFP*0.005;
    #crl=cr;
    #cRKK=cefp*cr;
    #cre=cRKK*(1-mu*G_ss)*cphie-crl*(cphie-1);
    #crk=(cRKK/cpie- 1)/(1-ctauk)+ctou;
@#else 
    #crk=(theta_K/cbetabar- 1)/(1-ctauk)+ctou;
@#endif

@#if DUM_FA 
        #cwey=1/cphie*cky*(1-comegae/cgamma*cre/cpie);
        #cey=(1-comegae)/(1+ctauc)*cre/(cpie*cgamma)*cky/cphie*cediv*DUM_CE;
        #cnwy=cky/cphie;
        #cbey=cky-cnwy;
@#else 
        #cwey=0
        #cey=0;
        #cb2gdp=cbg2gdp;
        #calfae=0
@#endif

#clandap=cfc;
#calfa=clandap/cfc*crk*cky;
#calfae=cwey*clandap/cfc;
#clabshare=1-calfa-calfae;
#cwly=clabshare/(1+ctauwf);
#ctaun=ctaunwly/cwly;

#cbwcy=cpsiwc*(clabshare+cwey+crk*cky);
#cb2gdp=cbg2gdp+(cbey+cbwcy)*DUM_PDEBT;


#cw = (calfa^calfa*(1-calfa-calfae)^(1-calfa-calfae)/(clandap*crk^calfa))^(1/(1-calfa-calfae))*1/(1+ctauwf);
#clk=((1-calfa-calfae)/calfa)*(crk/(cw*(1+ctauwf)));

#ccy=1-cg-ciy-cey;
#cctoty=ccy+cey;
#crkky=crk*cky;
#cwhlc=(1-ctauwh-ctaun)/(1+ctauc)*(1/clandaw)*(1-calfa-calfae)/calfa*crk*cky/ccy;
#conster=(cr-1)*100;
#cpbgov=(comega*theta/(cr)+1-theta)/(1-theta/cr*(1-comega));
#crbgovncr=1;
#cmubgov=theta/(cr-theta*(1-comega));
#cpdy=-(crealrate/cgamma-1)*cbg2gdp;
#cdy=cbg2gdp*(1-1/(cpie*cgamma));
//#ct=crealrate/cgamma-1+ct_stab;
#cmawpr=cmaw;
#cmappr=cmap;

@#for j in fins
        @#if j == "gg" 
                    #cthetabgovsr@{ j }=-cthetabgov@{ j }*(1-crho@{ j });
        @#else
               @#if  j == "tt"
                    #cthetabgovsr@{ j }=-cthetabgov@{ j }*(1-crho@{ j });
               @#else
                     #cthetabgovsr@{ j }=cthetabgov@{ j }*(1-crho@{ j });
               @#endif
       
        @#endif
@#endfor

    

@#define DUM_PDYNDM=1-DUM_PDYDM
@#if DUM_PDYNDM
    #constepdy=cpdy*100;
    #constedy=cdy*100;
@#endif

#cnprofy=1-clabshare-ctou*cky-cwey;
#cwoloy=cfc/clandap*(1-calfa-calfae);
//#cwrotlroty=cfc/clandap*calfarot;
#cweley=cfc/clandap*calfae;  


outputgap = y-yf;

%usmodel_stst;

% flexible economy

	      0*(1-calfa-calfae)*a + 1*a =  calfa*rkf+(1-calfa-calfae)*(wf+tauwff) +calfae*wef ; 
	      zcapf =  (1/(czcap/(1-czcap)))* rkf  ;
	      rkf =  (wf+tauwff)+labf-kf ;
	      kf =  kpf(-1)+zcapf-gamma;
          0=wef-(yf/cfc);

          %consumption Euler equation
          
          xif=theta*(xif(+1)+rrf-csigma*gamma(+1)-b*cbc)-csigmab*(1-theta)*btotf/cb2gdp;
          (1-chabb/cgamma)*xif=-csigma*cf+csigma*chabb/cgamma*(cf(-1)-gamma)+((csigma-1)*cwhlc)*labf-(1-chabb/cgamma)*taucf/(1+ctauc);
          pbgovf=(xif(+1)-csigma*gamma(+1)-xif)*theta/cr*(comega/cpbgov+1-comega)-b*cbc*theta/cpbgov+theta*(1-comega)/cr*pbgovf(+1)-(1-theta)/cpbgov*(csigmab*btotf/cb2gdp-@{DUM_POSAMV}*pbgovf+xif);
	      xif=crbgovncr*theta*(xif(+1)+rbgovnf-csigma*gamma(+1)-b*cbc)-cmubgov*(1-comega)*crbgovncr*theta*(rbgovnf(+1)-rbgovnf)-(1-theta)*(csigmab*btotf/cb2gdp-@{DUM_POSAMV}*pbgovf);
          rbgovf-rbgovnf=(1-comega)/(cgamma*cpie)*(rbgovf(-1)-rbgovnf); 

          %aggregate resource constraint
	      yf = ccy*cf+cey*cef+ciy*invef+g+cggy*ggf  +  crkky*zcapf ;
         ctotf=(ccy*cf+cey*cef)/(cctoty);
          % aggregate production function
	      yf = cfc*( calfa*kf+(1-calfa-calfae)*labf + a );
          (1-csigma)/(1-chabb/cgamma)*(cf-chabb/cgamma*(cf(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*labf+csigl*labf=xif+wf-ls-(tauwhf+taunf)/(1-ctauwh-ctaun);
	      //wf = csigl*labf 	+(1/(1-chabb/cgamma))*cf - (chabb/cgamma)/(1-chabb/cgamma)*(cf(-1)-gamma);
          %accumulation of installed capital
	      %kpf =  (1-cikbar)*(kpf(-1) - gamma)+(cikbar)*invef + (cikbar)*(cgamma^2*csadjcost)*qs ;
          kpf =  (1-cikbar)*(kpf(-1) - gamma)+(cikbar)*invef + (1-@{DUM_QSALT})*(cikbar)*(1+cbetabar*cgamma)*(cgamma^2*csadjcost)*qs ;

        btotf=DUM_PDEBT*(bef+bwcf)+bgovf+@{DUM_POSAMV}*pbgovf*cbg2gdp;

        %Fiscal policy
        nproff*cnprofy=yf-(cwoloy*(labf+wf)+cweley*wef)-crkky*zcap-ctou*cky*(kpf(-1)-gamma); 
        bgovf=crealrate/cgamma*(bgovf(-1)-gamma)+cbg2gdp*crealrate/cgamma*(rbgovf(-1))+cggy*ggf+ctty*ttf+ebgov-(tf+cty*yf+cwoloy*((ctauwh+ctaun+ctauwf)*(wf+labf)+taunf+tauwhf+tauwff)+(cctoty)*(ctauc*ctotf+taucf)+cnprofy*(ctauk*nproff+taukf));

        @#for j in finsrulestd
                @{ j }_trendf-@{ DUM_SGP }*cthetaSGP@{ j }*SGP=(1-DUM_BB)*(crho@{ j }*(@{ j }_trendf(-1)-@{ DUM_SGP }*cthetaSGP@{ j }*SGP(-1))+@{DUM_FRZ}*(1-crho@{ j })*cthetay@{ j }*yf(-1)+cthetabgovsr@{ j }/cbg2gdp*(bgovf(-1)-@{ DUM_GOVDEBT}*cbg2gdp*yf(-1)-bgovtargetf)+(1-phi@{ j })*e@{ j }+phi@{ j }*e@{ j }(-1));
                @{ j }f=(1-DUM_BB)*(@{ j }_trendf+(1-@{DUM_FRZ})*cthetay@{ j }*yf);
        @#endfor

        (1-DUM_BB)*ttf=(1-DUM_BB)*(tt_trendf+tt_cyclef)+DUM_BB*(bgovf-ebgov2);
        tt_trendf=0.995*tt_trendf(-1)+tt_shockf;
        tt_shockf=crhott*tt_shockf(-1)+(1-phitt)*ett+phitt*ett(-1);
        tt_cyclef=(1-DUM_BB)*((1-@{DUM_FRZ})*cthetaytt*yf+@{DUM_FRZ}*cthetaytt*yf(-1)+cthetabgovsrtt/cbg2gdp*(bgovf(-1)-@{ DUM_GOVDEBT}*cbg2gdp*yf(-1)-bgovtargetf)); 


        taukf=0;
        bgovtargetf=bgovtarget;
        

        //tf=crhot*tf(-1)+ct*(bgovf(-1)-cbg2gdp*yf(-1))+cthetayt*y+et;
        //tf=crhot*tf(-1)+(1-crhot)*ct*(bgovf(-1)-cbg2gdp*yf(-1))+et;
        //ggf=crhogg*(ggf(-1)-gamma)+egg+cgg_y*(yf(-1));

        pdyf=cggy*ggf-tf-ctty*ttf-cpdy*yf-cty*yf;
% sticky price - wage economy
          %marginal cost
	      mc =  calfa*rk+(1-calfa-calfae)*(w+tauwf)+calfae*we - 1*a - 0*(1-calfa-calfae)*a ;
    	  % TFP-Specification
	      %gamma = (ceta1*ceta2*kp+ceta1*(1-ceta2)*y);
          gamma=crhotfp*gamma(-1)+etfp;
          % Growth Indexation of Wages
          gammaw = gamma;  % full to cancel out and fit baseline MP
          % capital utilization 
	      zcap =  (1/(czcap/(1-czcap)))* rk ;
          %rental rate of capital
	      rk =  w+lab-k+tauwf ;
          mc=we-(y/cfc);
          % Capital installed used one period later in production 
	      k =  kp(-1)+zcap-gamma;
         
@#if DUM_FA  

        nw                   = comegae/cgamma*cre/cpie*(re-pinf-gamma+nw(-1))+cphie/cky*calfae/clandap*we;
        (re-pinf)*cre/cpie   = cRKK/cpie*cphie*((1-mu*G_ss)*(RKK-pinf+phie(-1))-mu*G_1*omegabar_ss*ombar)-crl/cpie*((cphie-1)*(rl(-1)-pinf)+cphie*phie(-1));
        RKK-pinf             = ((1-ctauk)*crk*rk+pk*(1-ctou))/(cRKK/cpie)-pk(-1); 
        //cefp*(rl-r+b)        = cchie/3*phie;
        rl-r+b=0;
        cRKK/cr*(RKK(+1)-r+b)= cchie*phie;
    
        phie                 = pk+kp-nw;
        nw                   = cphie*(pk+kp)-(cphie-1)/cbey*be;
        bwc                  = cpsiwc*(clabshare*(w+lab)+crk*cky*(rk+k));
        ce                   = DUM_CE*(re-pinf-gamma+nw(-1)-tauc/(1+ctauc));

        (cRKK/cpie)*Expr1*(RKK-pinf)+(cRKK/cpie)*Expr2*omegabar_ss*ombar=crealrate*((pk(-1)+kp(-1)-nw(-1))/cphie+(cphie-1)/cphie*(rl(-1)-pinf)); 

        inve = (1/(1+cbetabar*cgamma))* (  inve(-1) + cbetabar*cgamma*inve(1)+(1/(cgamma^2*csadjcost))*(pk-@{DUM_QSALT2}*r) - gamma + cbetabar*cgamma*gamma(+1)) +qs ;


        nwf                  = comegae/cgamma*cre*(ref-gamma+nwf(-1))+cphie/cky*calfae/clandap*wef;
        (ref)*cre/cpie       = cRKK/cpie*cphie*((1-mu*G_ss)*(RKKf+phief(-1))-mu*G_1*omegabar_ss*ombarf)-crl/cpie*((cphie-1)*(rlf(-1))+cphie*phief(-1));
        RKKf                 = ((1-ctauk)*crk*rkf+pkf*(1-ctou))/(cRKK/cpie)-pkf(-1); 
        //cefp*(rlf-rrf+b)     = cchie/3*phief;
        rlf-rrf+b=0;
        cRKK/cr*(RKKf(+1)-rrf+b)=cchie*phief;
    
        phief               =pkf+kpf-nwf;
        nwf                 = cphie*(pkf+kpf)-(cphie-1)/cbey*bef;
        bwcf                = cpsiwc*(clabshare*(wf+labf)+crk*cky*(rkf+kf));
        cef                 = DUM_CE*(ref-gamma+nwf(-1)-taucf/(1+ctauc));

        (cRKK/cpie)*Expr1*(RKKf)+(cRKK/cpie)*Expr2*omegabar_ss*ombarf=crealrate*((pkf(-1)+kpf(-1)-nwf(-1))/cphie+(cphie-1)/cphie*(rlf(-1))); 

        invef = (1/(1+cbetabar*cgamma))* (  invef(-1) + cbetabar*cgamma*invef(1)+(1/(cgamma^2*csadjcost))*(pkf-@{DUM_QSALT2}*rrf) - gamma + cbetabar*cgamma*gamma(+1)) +qs ;

@#else
    ce  =0;
    be  =0;
    bwc=0;
    cef =0;
    bef =0;
    bwcf=0;
    nw  =0; 
    RKK =0; 
    phie=0; 
    nwf =0; 
    RKKf=0; 
    phief=0;
    @#if DUM_POKA         
             pk = theta_K*(xi(+1)-csigma*gamma(+1))-xi + cbetabar*crk*(1-ctauk)*rk(1) +  cbetabar*(1-ctou)*pk(1)-(1-theta_K)*csigmaK*kp-cbetabar*(1-ctou)*crk*tauk(+1);
             inve = (1/(1+cbetabar*cgamma))* (  inve(-1) + cbetabar*cgamma*inve(1)+(1/(cgamma^2*csadjcost))*pk - gamma + cbetabar*cgamma*gamma(+1)) +qs ;

             invef = (1/(1+cbetabar*cgamma))* (  invef(-1) + cbetabar*cgamma*invef(1)+(1/(cgamma^2*csadjcost))*pkf - gamma + cbetabar*cgamma*gamma(+1)) +qs ;
             pkf = theta_K*(xif(+1)-csigma*gamma(+1))-xif + cbetabar*crk*(1-ctauk)*rkf(1) +  cbetabar*(1-ctou)*pkf(1)-(1-theta_K)*csigmaK*kpf-cbetabar*(1-ctou)*crk*taukf(+1);
    @#else 
             pk = -(r-pinf(+1)-b) + cbetabark*crk*(1-ctauk)*rk(1) +  cbetabark*(1-ctou)*pk(1)-cbetabark*(1-ctou)*crk*tauk(+1);
             inve = (1/(1+cbetabark*cgamma))* (  inve(-1) + cbetabark*cgamma*inve(1)+(1/(cgamma^2*csadjcost))*(pk+qs) - gamma + cbetabark*cgamma*gamma(+1))  ;
             pkf = -(rrf-b) + cbetabark*crk*(1-ctauk)*rkf(1) +  cbetabark*(1-ctou)*pkf(1)-cbetabark*(1-ctou)*crk*taukf(+1);
             invef = (1/(1+cbetabark*cgamma))* (  invef(-1) + cbetabark*cgamma*invef(1)+(1/(cgamma^2*csadjcost))*(pkf+qs) - gamma + cbetabark*cgamma*gamma(+1)) ;
    @#endif
@#endif

          
          %consumption Euler equation
          xi=theta*(xi(+1)+r-pinf(+1)-csigma*gamma(+1)-b*cbc)-csigmab*(1-theta)*btot/cb2gdp;
          (1-chabb/cgamma)*xi=-csigma*c+csigma*chabb/cgamma*(c(-1)-gamma)+((csigma-1)*cwhlc)*lab-(1-chabb/cgamma)*tauc/(1+ctauc);
          // Demand for gov. bonds
          pbgov=(xi(+1)-csigma*gamma(+1)-xi-pinf(+1))*theta/cr*(comega/cpbgov+1-comega)-b*cbc*theta/cpbgov+theta*(1-comega)/cr*pbgov(+1)-(1-theta)/cpbgov*(csigmab*btot/cb2gdp-@{DUM_POSAMV}*pbgov+xi);
	      xi=crbgovncr*theta*(xi(+1)+rbgovn-pinf(+1)-csigma*gamma(+1)-b*cbc)-cmubgov*(1-comega)*crbgovncr*theta*(rbgovn(+1)-rbgovn)-(1-theta)*(csigmab*btot/cb2gdp-@{DUM_POSAMV}*pbgov);
          rbgov-rbgovn=(1-comega)/(cgamma*cpie)*(rbgov(-1)-rbgovn);
        
          %aggregate resource constraint
	      y = ccy*c+cey*ce+ciy*inve+cggy*gg+g  +  1*crkky*zcap ;
          GDP=ccy*c+ciy*inve+cggy*gg+g;
          % aggregate production function
	      y = cfc*( calfa*k+(1-calfa-calfae)*lab +a );
          %Phillips Curve
          pinf-piobj =  (1/(1+cbetabar*cgamma*cindp)) * ( cbetabar*cgamma*(pinf(1)-piobj(1)) +cindp*(pinf(-1)-piobj)+ cbetabar*cgamma*cindp*(piobj(+1)-piobj )
               +((1-cprobp)*(1-cbetabar*cgamma*cprobp)/cprobp)/((clandap-1)*curvp+1)*(mc)  )  + spinf ; 
          % wage setting
	      w =  (1/(1+cbetabar*cgamma))*w(-1)
               +(cbetabar*cgamma/(1+cbetabar*cgamma))*w(1)
               +(cindw/(1+cbetabar*cgamma))*pinf(-1)
               -(1+cbetabar*cgamma*cindw)/(1+cbetabar*cgamma)*pinf
               +(1/(1+cbetabar*cgamma))* (cbetabar*cgamma*gamma(+1)-gamma-cbetabar*cgamma*gammaw(+1)+gammaw) 
               +(cbetabar*cgamma)/(1+cbetabar*cgamma)*pinf(1)
               - (cbetabar*cgamma*(1-cindw)/(1+cbetabar*cgamma))*piobj(+1)
               + (1-cindw)/(1+cbetabar*cgamma)*piobj
               +(1-cprobw)*(1-cbetabar*cgamma*cprobw)/((1+cbetabar*cgamma)*cprobw)*(1/((clandaw-1)*curvw+1))*
               (wh-w)         //(csigl*lab + (1/(1-chabb/cgamma))*c - ((chabb/cgamma)/(1-chabb/cgamma))*(c(-1)-gamma) -w) 
               + 1*sw ;
          (1-csigma)/(1-chabb/cgamma)*(c-chabb/cgamma*(c(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*lab+csigl*lab=xi+wh-ls-(tauwh+taun)/(1-ctauwh-ctaun);
          %Monetary Policy Rule
       [name='mpol',bind='ELB']
       rnot2=-((consterr+constepinf)-0.25/4); //+0.25/4
       [name='mpol',relax='ELB']
       rnot2=rnot;
        
        rnot =piobj+  crpi*(1-crr)*(pinf-piobj) +cry*(1-crr)*(y-yf) +crdy*(y-yf-y(-1)+yf(-1))+crr*(r(-1)-piobj(-1));


        r=rnot2+ms+
        @#for h in OIShorizon_shock
                +ms_@{h}(-@{h})       
         @#endfor
        ;
        @#for h in OIShorizon_shock
                ms_@{h} = crhoms_@{h}*ms_@{h}(-1) + em_@{h}; 
                
         @#endfor
        
          btot=DUM_PDEBT*(be+bwc)+bgov+@{DUM_POSAMV}*pbgov*cbg2gdp;
          ctot=(ccy*c+cey*ce)/(cctoty);


	      a = crhoa*a(-1)  + ea;
	      b = crhob*b(-1) + eb;
          % exogenous spending (also including net exports)
	      //g = crhog*(g(-1)) + eg + cgy*ea;
          g = crhog*(g(-1)) + eg + cgy*ea;

          //gg=crhogg*(gg(-1)-gamma)+egg+cgg_y*(y(-1));
	      qs = crhoqs*qs(-1) + eqs;
	      ms = crhoms*ms(-1) + em;
          %cost push shock
	      spinf = crhopinf*spinf(-1) + epinfma - cmappr*epinfma(-1);
	          epinfma=epinf;
	      sw = crhow*sw(-1) + ewma - cmawpr*ewma(-1) ;
	          ewma=ew; 
          ls=0*ls+els;
         piobj = crhopiobj*piobj(-1)+ epiobj;
          %accumulation of installed capital
	      %kp =  (1-cikbar)*(kp(-1) - gamma)+cikbar*inve + cikbar*cgamma^2*csadjcost*qs ;
          kp =  (1-cikbar)*(kp(-1) - gamma)+cikbar*inve + (1-@{DUM_QSALT})*cikbar*(1+cbetabar*cgamma)*cgamma^2*csadjcost*qs ;


        %Fiscal policy
        nprof*cnprofy=y-(cwoloy*(lab+w)+cweley*we)-crkky*zcap-ctou*cky*(kp(-1)-gamma); 
        bgov=crealrate/cgamma*(bgov(-1)-gamma)+cbg2gdp*crealrate/cgamma*(rbgov(-1)-pinf)+cggy*gg+ctty*tt+ebgov-(t+cty*y+cwoloy*((ctauwh+ctaun+ctauwf)*(w+lab)+tauwh+taun+tauwf)+(cctoty)*(ctauc*ctot+tauc)+cnprofy*(ctauk*nprof+tauk));
        
@#for j in finsrulestd
        @{ j }_trend-@{ DUM_SGP }*cthetaSGP@{ j }*SGP=(1-DUM_BB)*(crho@{ j }*(@{ j }_trend(-1)-@{ DUM_SGP }*cthetaSGP@{ j }*SGP(-1))+@{DUM_FRZ}*(1-crho@{ j })*cthetay@{ j }*y(-1)+cthetabgovsr@{ j }/cbg2gdp*(bgov(-1)-bgovtarget)+(1-phi@{ j })*e@{ j }+phi@{ j }*e@{ j }(-1));
        @{ j }=(1-DUM_BB)*(@{ j }_trend+(1-@{DUM_FRZ})*cthetay@{ j }*y);
@#endfor
        tauk=0;
        (1-DUM_BB)*tt=(1-DUM_BB)*(tt_trend+tt_cycle)+DUM_BB*(bgov-ebgov2);
        tt_trend=0.995*tt_trend(-1)+tt_shock;
        tt_shock=crhott*tt_shock(-1)+(1-phitt)*ett+phitt*ett(-1);
        tt_cycle=(1-DUM_BB)*((1-@{DUM_FRZ})*cthetaytt*y+@{DUM_FRZ}*cthetaytt*y(-1)+cthetabgovsrtt/cbg2gdp*(bgov(-1)-bgovtarget)); 
@#if DUM_SGP
        bgovtarget=0; 

        SGP=crhotarget*SGP(-1)+SGP_shock;
        SGP_shock=crhostarget*SGP_shock+etarget;
@#else 
        bgovtarget-bgovtarget(-1)=-(1-crhotarget)*bgovtarget(-1)+ crhostarget*(bgovtarget(-1)-bgovtarget(-2))+etarget-cbgovtargety*y; 

        SGP=0;
        SGP_shock=0;
@#endif
        pdy=cggy*gg+ctty*tt-(t+cty*y+cwoloy*((ctauwh+ctaun+ctauwf)*(w+lab)+tauwh+taun+tauwf)+(cctoty)*(ctauc*ctot+tauc)+cnprofy*(ctauk*nprof+tauk))-cpdy*y;
        //t=crhot*t(-1)+(1-crhot)*ct*(bgov(-1)-cbg2gdp*y(-1))+et;
        //t=crhot*t(-1)+ct*(bgov(-1)-cbg2gdp*y(-1))+cthetayt*y+et;
% measurement equations

pinf_annual=pinf*4;
r_annual=r*4;
rr_annual=r_annual-pinf_annual(+1);
ctotinve=ctot-inve;

/*
dy=(y-y(-1)+gamma)*cgamma+ctrend;
dc=(c-c(-1)+gamma)*cgamma+ctrend;
dinve=(inve-inve(-1)+gamma)*cgamma+ctrend;
dw=(w-w(-1)+gamma)*cgamma+ctrend;
pinfobs = 1*(pinf) + constepinf;
robs =    1*(r) + conster;
labobs = lab + constelab; 
*/

EMPL_dev_us- EMPL_dev_us(-1)= cbetabar*cgamma*(EMPL_dev_us(+1)- EMPL_dev_us)
            +(1-calvoempl)*(1-calvoempl*cbetabar*cgamma)/calvoempl*(lab-EMPL_dev_us)  ; // see SW JEEA2003
dHOURS_us = lab-lab(-1)  + constelab ;
HOURS_us=lab+constelab;
HOURSCJS=lab+constelab;

dYER_us=(y-y(-1)+gamma)*cgamma+ctrend;
PDY_us=pdy+constepdy;
DY_us=constedy+bgov-1/(cpie*cgamma)*(bgov(-1)+cbg2gdp*((cgamma*cpie-1)*y-(gamma+pinf)));
DY_DOT_us=DY_us;

dYED_us = 1*(pinf) + constepinf;
STI_us =    4*((r) + conster);

 @#for h in OIShorizon_obs
  
    OISINST_@{h}_us=4*(conster+r(@{h}));
    
    OIS_@{h}_us=4*(conster+1/(@{h})*(
        @#for i in 1:h
                +r(@{i})
        @#endfor
                ))
;
    @#endfor


bgovmv=bgov/cbg2gdp+consteb;
dDEBT_us-ctrend =gamma+1/cbg2gdp*(bgov-bgov(-1));
dDEBT2_us-ctrend =gamma+1/cbg2gdp*(bgov-bgov(-1));
DEBT2GDP_us=cbg2gdp/4*100+bgov/4-cbg2gdp/4*y;

    dPCRYED_us=(ctot-ctot(-1)+gamma)+ctrend;
    dITPRYED_us=(inve-inve(-1)+gamma)+ctrend;
        @#if DUM_ctrendw
            dWYED_us=(w-w(-1)+(tauwf-tauwf(-1))/(1-ctauwf)+gamma)+ctrendw;
        @#else
            dWYED_us=(w-w(-1)+(tauwf-tauwf(-1))/(1-ctauwf)+gamma)+ctrend;
        @#endif
    dGGRYED_us=(gg-gg(-1)+gamma)+ctrend;
    TINC_us-100*ctauc=tauc;
    TAULAB_us-100*ctaun=taun;
    SCRW_us-100*ctauwf=tauwf;
    SCEW_us-100*ctauwh=tauwh;
    dTHHYED_us=tt-tt(-1)+gamma+ctrend; 
    
    CPI10=constecpidif+4*(constepinf+
        @#for i in 1:40
                +pinf(@{i})/40
        @#endfor
        );


    
     
    TAUNWLY_us-100*ctaunwly=cwly*(ctaun*(w+lab)+taun)-(ctaun*cwly)*y;



    DTXY2-100*cdtxy=cnprofy*(ctauk*nprof+tauk)+cwly*(ctaun*(w+lab)+taun)-(ctauk*cnprofy+ctaun*cwly)*y;
    




% measuring persistent effects
% Level log-deviation of Y from Y_Trend
YL =  y-y(-1) + 0.9*YL(-1)+gamma;
CL = c-c(-1)+gamma + 0.9*CL(-1);
INVEL = inve-inve(-1)+gamma + 0.9*INVEL(-1);
WL = w-w(-1)+gamma + 0.9*WL(-1);
KL = k-k(-1)+gamma + 0.9*KL(-1);
KPL = kp-kp(-1)+gamma + 0.9*KPL(-1);
TFP = 0*TFP(-1) + gamma;
end; % model

occbin_constraints;
name 'ELB'; bind rnot<=-((consterr+constepinf)-0.25/4); relax rnot>-((consterr+constepinf)-0.25/4); //
end;


initval;
dYER_us=ctrend;




    dPCRYED_us=ctrend;
    dITPRYED_us=ctrend;
    dWYED_us=ctrend;
    dGGRYED_us=ctrend;

dTHHYED_us=ctrend;
dDEBT_us=ctrend;

//PDY_us=constepdy;


dYED_us = constepinf;
STI_us = ((constepinf/100+1)*(consterr/100+1)-1)*400;
dHOURS_us = constelab;
TINC_us=100*ctauc;
//TAULAB_us=100*ctaun;
SCRW_us=ctauwf*100;
SCEW_us=100*ctauwh;


 @#for h in OIShorizon_obs
    OISINST_@{h}_us=STI_us;
    
    OIS_@{h}_us=STI_us;
    @#endfor


DTXY2=100*cdtxy;
TAUNWLY_us=100*ctaunwly;



end; 


if DUM_readestimatesIRF==1
      

        shocks;

        @#for k in shocks
                var @{ k };
                stderr (sd_@{ k });
        @#endfor

        @#for h in OIShorizon_shock

            var em_@{h};
            stderr (sd_em_@{h});
 
        @#endfor

        end;


else

        shocks;

        @#for k in shocks
                var @{ k };
                stderr (sd_@{ k });
        @#endfor

        end;

end

resid;
steady;
write_latex_original_model;



