
@#define thetabgov=["gg"]
@#define phicrho=["crho","phi"]
@#define thetaSGP=["t"]
@#define finsest=["gg","t"]
@#define fincycle= ["gg","t"]






estimated_params;
% PARAM NAME, INITVAL, LB, UB, PRIOR_SHAPE, PRIOR_P1, PRIOR_P2, PRIOR_P3, PRIOR_P4, JSCALE
% PRIOR_SHAPE: BETA_PDF, GAMMA_PDF, NORMAL_PDF, INV_GAMMA_PDF
@#if DUM_TFP
    stderr etfp,(p_etfp),0.01,3,INV_GAMMA_PDF,0.1,2;
@#endif
stderr ea,(p_ea),      0.01,3,INV_GAMMA_PDF,0.1,2;
stderr eb,(p_eb),      0.025,5,    INV_GAMMA_PDF,0.1,2;
stderr eg,(p_eg),      0.01,3,     INV_GAMMA_PDF,0.1,2;
stderr eqs,(p_eqs),    0.01,3,     INV_GAMMA_PDF,0.1,2;
stderr em,(p_em),      0.01,3,     INV_GAMMA_PDF,0.1,2;
stderr epinf,(p_epinf),0.01,3,     INV_GAMMA_PDF,0.1,2;
stderr ew,(p_ew),      0.01,3,     INV_GAMMA_PDF,0.1,2;

@#if DUM_PIOBJ
    stderr epiobj,(p_epiobj)	,     0.0001      ,0.1    ,INV_GAMMA_PDF,  0.015,0.0075;
@#endif

@#if DUM_LS
    stderr els,,0.01,3,INV_GAMMA_PDF,0.1,2;
@#endif

@#if DUM_NOFISOBS !=1
    @#for j in finsest
        stderr e@{ j },(p_e@{ j }),0.01,4,INV_GAMMA_PDF,0.1,2;
    @#endfor
@#endif

/*

stderr ett,(p_ett),.01,3.0,INV_GAMMA_PDF,0.1,2; 

*/

@#if DUM_OIS
    @#for h in OIShorizon_shock
          stderr em_@{h}, (p_em_@{h}),.0001,3.0,INV_GAMMA_PDF,0.1,2;
          crhoms_@{h},(p_crhoms_@{h}),.0001,.9999,BETA_PDF,0.5,0.20;        
    @#endfor
@#endif

@#if DUM_TFP
    crhotfp,(p_crhotfp) ,.01,.9999,BETA_PDF,0.5,0.20;
@#endif
crhoa,(p_crhoa) ,         .01,.9999,  BETA_PDF,0.5,0.20;
crhob,(p_crhob),          .01,.9999,  BETA_PDF,0.5,0.20;
crhog,(p_crhog),          .01,.9999,  BETA_PDF,0.5,0.20;
crhoqs,(p_crhoqs),        .01,.9999,  BETA_PDF,0.5,0.20;
crhoms,(p_crhoms),        .01,.9999,  BETA_PDF,0.5,0.20;
crhopinf,(p_crhopinf),    .01,.9999,  BETA_PDF,0.5,0.20;
crhow,(p_crhow),          .001,.9999, BETA_PDF,0.5,0.20;
cmap,(p_cmap),            0.01,.9999, BETA_PDF,0.5,0.2;
cmaw,(p_cmaw),            0.01,.9999, BETA_PDF,0.5,0.2;
@#if DUM_PIOBJ
    @#if DUM_PIOBJ2
        crhopiobj,(p_crhopiobj),0.95,.99999,BETA_PDF,0.99,0.0025;
    @#endif
@#endif

cgy,(p_cgy),0.01,2.0,NORMAL_PDF,0.5,0.25;
@#if DUM_CBC
    cbc,(p_cbc),0.01,4,NORMAL_PDF,1,0.375;
@#endif

@#if DUM_NOFISOBS !=1
    @#for k_phicrho in phicrho
            @#for j in finsest
                @{ k_phicrho }@{ j },(p_@{ k_phicrho }@{ j }),.01,.9999,BETA_PDF,0.5,0.2;

            @#endfor 
    @#endfor 


     cthetabgovt,(p_cthetabgovt), 0.0001,2.0,GAMMA_PDF,0.2,0.05;

    @#for j in thetabgov
        cthetabgov@{ j },(p_cthetabgov@{ j }), 0.001,2.0,GAMMA_PDF,0.5,0.25;
    @#endfor

  
    @#for j in fincycle
         cthetay@{ j },(p_cthetay@{ j }), -2,2.0,NORMAL_PDF,0,0.1;
    @#endfor 
    

    
@#endif


@#if DUM_est_csigma
    csigma,(p_csigma),0.25,3,NORMAL_PDF,1.50,0.2;  %Different from SW (tighter)
@#endif

@#if DUM_NH !=1
    @#if DUM_HPT 
        chabb,(p_chabb),0.001,0.99,BETA_PDF,0.7,0.05;
    @#else
        chabb,(p_chabb),0.001,0.99,BETA_PDF,0.7,0.1;
    @#endif
@#endif
//csigl,(p_csigl),0.25,10,NORMAL_PDF,2,0.25;       %Different from SW (tighter)
csadjcost,(p_csadjcost),  2,15,       NORMAL_PDF,4,0.75;

@#if DUM_FAEST
    mu,(p_mu),0.01,0.9999,BETA_PDF,0.275,0.15;
@#endif

czcap,(p_czcap),      0.01,1,         BETA_PDF,0.5,0.15;
cfc,(p_cfc),          1.0,3,          NORMAL_PDF,1.25,0.125;
cprobw,(p_cprobw),    0.3,0.99,       BETA_PDF,0.5,0.1;
cprobp,(p_cprobp),    0.5,0.99,       BETA_PDF,0.5,0.10;
cindw,(p_cindw),      0.01,0.99,      BETA_PDF,0.5,0.15;
cindp,(p_cindp),      0.01,0.99,      BETA_PDF,0.5,0.15;

@#if DUM_CRPISW
    crpi,(p_crpi),1.0,3,NORMAL_PDF,1.5,0.25;    
@#else
    crpi,(p_crpi),1.0,3,NORMAL_PDF,2,0.1;     %Different from SW (tighter, around 2)
@#endif


crr,(p_crr),0.5,0.975,BETA_PDF,0.75,0.10;
cry,(p_cry),0.001,0.5,NORMAL_PDF,0.125,0.05;

@#if DUM_NOCRDY !=1
    crdy,(p_crdy),0.001,0.5,NORMAL_PDF,0.125,0.05;
@#endif
//constepinf,,0.1,2.0,GAMMA_PDF,0.8241,0.1;//20;


@#if DUM_ctrendw
   ctrendw,	 (p_ctrendw) ,0.01       ,0.7        ,	normal_pdf	,	0.188,	0.02;
@#endif

constelab,(p_constelab),-10.0,10.0,NORMAL_PDF,0.0,2.0;	

/*
%@#if DUM_ROT
    calfarot,(p_calfarot),.0001,.9999,BETA_PDF,0.3,0.1; 
%@#endif
*/

@#if DUM_est_csigmaK
    csigmaK,(p_csigmaK),0.25,3,NORMAL_PDF,1,0.375;
@#endif

@#if DUM_est_csigmab
    csigmab,(p_csigmab),0.01,3,NORMAL_PDF,0.4,0.2;
@#endif

@#if DUM_est_theta
    constetheta,(p_constetheta),0.01,10,GAMMA_PDF,5.2631,2.5;
@#endif




end;





